﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            AT E4445A: (2 yr) VER /9640-LPN,4419,LFCTR,LO,SWPG
DATE:                  2017-02-02 14:39:06
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18115 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       484
CONFIGURATION:         Fluke 9640A (LPN)
CONFIGURATION:         Fluke 9640A-50
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8482A on channel 1
CONFIGURATION:         HP 8482A on channel 2
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         LF Counter
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Sweep Generator
STANDARD:              Agilent 11667A
STANDARD:              Agilent 86205A
STANDARD:              Agilent 87300B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        E4445A
#
#  Source(s):
#        Specifications Guide, Agilent Technologies PSA Series Spectrum
#        Analyzers, Manufacturing Part No. E4440-90644, April 2011
#
#        http://calsw.tm.agilent.com/PSA/Help/n7810a.htm, "Agilent N7810A PSA
#        Series Calibration Application Software, Test System Overview" as of
#        29 Oct 2010.
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Connector Precautions (Type N)
#        Sub Connector Precautions (SMA)
#        Sub Connector Precautions (3.5 mm)
#        Sub PSA Set Configuration Variables
#        Sub Check Frequency Reference Accuracy
#        Sub Initialize /LFCTR
#        Sub Initialize /LO
#        Sub Initialize /SWPG
#        Sub PSA Add'l Equipment Minimum Use Requirements
#        Sub 9640A Check Configuration / Set Parameters
#        Sub EPM Check Cal Factor Table Name IEEE
#        Sub HP/Agilent E441x Cal Factor Utility IEEE
#        Sub PSA Internal Alignment
#        Sub PSA (2 yr) Frequency Reference VER /LFCTR
#        Sub PSA (2 yr) Power Bandwidth Accuracy VER
#        Sub PSA (2 yr) Resolution Bandwidth Switching VER
#        Sub PSA (2 yr) Residual Responses VER
#        Sub PSA (2 yr) Displayed Average Noise Level VER
#        Sub PSA Get Questionable Calibration Status
#        Sub PSA (2 yr) Frequency Readout Accuracy VER /9640
#        Sub PSA (2 yr) Frequency Span VER /9640
#        Sub PSA (2 yr) Count Accuracy VER /9640
#        Sub PSA (2 yr) Spurious Responses VER /4418,SWPG
#        Sub PSA Set Spurious Response Test Level
#        Sub PSA (2 yr) Frequency Response (LF) VER /9640
#        Sub PSA Measure Frequency Response /9640
#        Sub PSA Set Ref Level /9640
#        Sub HP 8482A (Ch. A & B) Zero and Cal /4419
#        Sub PSA (2 yr) Freq Resp (RF) VER /9640,4419,8482,SWPG
#        Sub PSA Characterize Power Splitter Ports
#        Sub RIF/WIF Directory
#        Sub WIF Error
#        Sub Measure Power Splitter Outputs /9640,4419,8482
#        Sub PSA Set RF Frequency Response Test Level /9640
#        Sub Level Signal /9640,4419,8482
#        Sub PSA Compute Freq Response Reference Uncertainty
#        Sub PSA (2 yr) RF Frequency Response Test
#        Sub PSA Compute Freq Response Test Uncertainty
#        Sub Compute Mismatch Uncertainty (%) from SWR
#        Sub HP 8481A Zero and Cal /4418
#        Sub PSA (2 yr) Freq Response VER /4418,8481,SWPG
#        Sub PSA µW Frequency Response Tests /4418,8481,SWPG
#        Sub PSA µW Frequency Response Test /4418,8481,SWPG
#        Sub PSA (2 yr) Freq Resp (Opt 110) VER /4418,8481,SWPG
#        Sub PSA (2 yr) Third Order VER /4418,8481,LO,SWPG
#        Sub Set PSA TOI Test Levels /4418,LO,SWPG
#        Sub PSA Third Order Intermodulation Test
#        Sub PSA (2 yr) 2nd Harmonic Distortion VER /9640
#        Sub PSA (2 yr) 2nd Harmonic Distortion VER /4418,SWPG
#        Sub PSA (2 yr) Absolute Amplitude Accuracy VER /9640
#        Sub PSA Set Ref Level /9640
#        Sub PSA (2 yr) Input Attenuation Switching VER /9640
#        Sub PSA (2 yr) Display Scale Fidelity VER /9640
#        Sub PSA (2 yr) Noise Sidebands (<50 kHz) VER /9640-LPN
#        Sub PSA (2 yr) Noise Sidebands (>50 kHz) VER /9640-LPN
#        Sub Agilent ESA/PSA Take Sweep (MKPK, MKCF)
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub Agilent ESA/PSA Take Sweep (MKCF)
#        Sub Agilent ESA/PSA Take Sweep Only
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LFCTR (Rev. 1.12 or later)
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#        Sub Setup /LFCTR
#        Sub Read /LFCTR
#        Sub Send Command /LFCTR (Rev. 1.3 or later)
#
#        Sub Initialize /LO (Rev. 1.6 or later)
#        Sub Reset /LO
#        Sub Output Off /LO
#        Sub Apply /LO
#        Sub Send Command /LO (Rev. 1.2 or later)
#
#        Sub Initialize /SWPG (Rev. 1.7 or later)
#        Sub Reset /SWPG
#        Sub Output Off /SWPG
#        Sub Apply /SWPG
#        Sub Get Options /SWPG
#        Sub Send Command /SWPG (Rev. 1.2 or later)
#
#  Required Files:
#        9600flt_installation.jpg
#        char_11667a_using_e4419_swpg.jpg
#        char_11667a_20db_e4419_swpg.jpg
#        e441x_100mw_rf_sensor_zero.jpg
#        e441x_100uw_rf_sensor_zero.jpg
#        e4419_100mw_rf_sensor_zero.jpg
#        e441x_100uw_uw_sensor_zero.jpg
#        lpn_to_psa_ext.jpg
#        lpn_via_10db_to_psa_ext.jpg
#        lpn_via_9600flt_to_psa_ext.jpg
#        psa_freq_resp_a_11667a_swpg.jpg
#        psa_freq_resp_b_11667a_swpg.jpg
#        psa_freqresp_110_8481d_swpg.jpg
#        psa_freqresp_pre_11667a_swpg.jpg
#        psa_toi_meas_1_lo_swpg.jpg
#        psa_toi_meas_2_lo_swpg.jpg
#        psa_toi_meas_3_lo_swpg.jpg
#        psa_toi_meas_1_swpg_uwsg.jpg
#        psa_toi_meas_2_swpg_uwsg.jpg
#        psa_toi_meas_3_swpg_uwsg.jpg
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#
#          Frequency Range: 10 MHz to 6.7 GHz, CW
#            Accuracy: ±0.02% (Internal); External Reference capable
#
#          Amplitude Range: -20 dBm to +16 dBm
#            Resolution: 0.01 dB
#
#          SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#
#          Example: HP 83630B or equivalent
#
#        Local Oscillator (LO):
#
#          Frequency Range: 10 MHz to 6.7 GHz, CW
#            Accuracy: ±0.02% (Internal); External Reference capable
#
#          Amplitude Range: -20 dBm to +16 dBm
#            Accuracy: ±2 dB
#            Resolution: 0.01 dB
#
#          SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#
#          Example: Anritsu MG3694() or equivalent
#
#        LF Counter (LFCTR):
#
#          Ch. A Frequency Range: 10 MHz
#            Accuracy: Based on external frequency standard
#
#          Example: Fluke PM 6690/6xx or equivalent
#
#        Frequency Standard:
#
#          Frequency Range: Suitable for use with configured LF counter
#            Accuracy: ±0.045 ppm or better
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 18 GHz, 6 dB insertion loss, output
#          tracking: <0.25 dB, equivalent output SWR: <1.22, Agilent® 11667A
#        Filter, Low Pass, 50 MHz, Rejection at >65 MHz: > 40 dB, Rejection at
#          >75 MHz: > 60 dB, 2 ea.; Agilent 0955-0306 or equivalent
#        Filter, Low Pass, 1.8 GHz, Rejection 2.1 to 6 GHz: > 45 dB, 2 ea.,
#          Agilent 0955-0491 or equivalent
#        Filter, Low Pass, 4.4 GHz, Rejection at > 5.5 GHz: > 42 dB, 2 ea.,
#          HP 360D or equivalent
#        Directional Bridge, 5 MHz to 3 GHz, Directivity: >40 dB, Coupling
#          Factor: 16 dB, Insertion Loss: 2 dB max, Agilent 86205A
#        Directional Coupler, 2 GHz to 15 GHz, Directivity: >16 dB, Max VSWR:
#          1.35:1, Transmission Arm Loss: <1.5 dB, Coupled Arm Loss: ~10 dB,
#          Agilent 87300B
#        Adapter, Type N (m) - 3.5 (m), 50 Ohms, DC to 26.5 GHz, VSWR: 1.08;
#          Agilent 1250-1743 or equivalent
#
#        See procedure body for specific cables and adapters required.
#
#  The Procedure was tested using:
#
#        Model No.    : E4440A
#        Serial No.   : US40420208
#        Options      : 115, 1DS, 226, 233, 23A, 23B, 266
#        Firmware Rev.: A.11.18
#
#  The average run times during testing were:
#        2 hr., 6 min. (TAR mode)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J                             L     V

  1.002  IF           0
  1.003  9640         +Freq = 1 GHz; Level = 0 dBm; OutputImp = 50 Ohms; LPN
  1.004  M4419  F64   8482A          Default       8482A          100pct
  1.005  4419         0.000D                       3GH               RF N  CH1
  1.006  M4419  F64   8481A
  1.007  IEEE         [@LFCTR]
  1.007  IEEE         [@LO]
  1.007  IEEE         [@SWPG]
  1.008  STD          Agilent 11667A
  1.009  STD          Agilent 86205A
  1.010  STD          Agilent 87300B
  1.011  ENDIF

  1.012  IF           NOT(VERSIONCHECK("7.3.19"))
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  DISP         Prior to beginning verification, a UUT warm-up time
  1.017  DISP         of 2 hours minimum, must have been allowed to elapse.

  1.018  CALL         Sub UUT Connection GPIB

  1.019  HEAD         UUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.021  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.022  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.023  MATH         @UUT_Model         = "E4445A"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.028  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.029  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.030  DISP         The file parameter setting is: "acc_check=no"
  1.030  DISP
  1.030  DISP         For correct procedure execution, this parameter
  1.030  DISP         MUST be set to: "acc_check=yes"
  1.030  DISP
  1.030  DISP         Select "Advance" to terminate the procedure, exit
  1.030  DISP         MET/CAL®, change the initialization file parameter,
  1.030  DISP         restart MET/CAL, then restart the procedure.
  1.031  END
  1.032  ENDIF

  1.033  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.034  CALL         Sub Select Failed Test Mode
  1.035  CALL         Sub Select Verification Method

  1.036  HEAD         CONNECTION INFORMATION
  1.037  OPBR         -z Do you wish to review connector information and
  1.037  OPBR         precautions for the various types of connections
  1.037  OPBR         employed throughout this procedure?[NO]

  1.038  IF           MEM1
  1.039  CALL         Sub Connector Precautions (Type N)
  1.040  CALL         Sub Connector Precautions (SMA)
  1.041  CALL         Sub Connector Precautions (3.5 mm)
  1.042  ENDIF

  1.043  HEAD         PROCEDURE DESCRIPTION
  1.044  DISP         This procedure supports the E4445A PSA Series
  1.044  DISP         Spectrum Analyzer and the following options:
  1.044  DISP
  1.044  DISP         - 1DS (RF Preamplifier)
  1.044  DISP         - 110 (RF/µWave Preamplifier)
  1.044  DISP
  1.044  DISP         [32]                       NOTE
  1.044  DISP         Some available UUT options do not require periodic
  1.044  DISP         verification or are not supported.

  1.045  RESET        *CLS;:ROSC:SOUR INT
  1.046  CALL         Sub PSA Set Configuration Variables
  1.047  SCPI         [@9640]*IDN?[I$]
  1.048  CALL         Sub 9640A Check Configuration / Set Parameters

  1.049  HEAD         EQUIPMENT REQUIREMENTS
  1.050  MATH         @Abort = 0
  1.051  MATH         @ReqFreqRefAcc_ppm = 0.045
  1.052  CALL         Sub Check Frequency Reference Accuracy

  1.053  IF           @Abort
  1.054  END
  1.055  ENDIF

  1.056  CALL         Sub Initialize /LFCTR
  1.057  CALL         Sub Initialize /LO
  1.058  CALL         Sub Initialize /SWPG

  1.059  MATH         FreqRef = INI("startup", "FreqRefDevName")

  1.060  IF           NOT(ZCMP(FreqRef, @LFCTR_DevName))
  1.061  DISP         Connect the [V FreqRef] 10 MHz OUT to the
  1.061  DISP         [V @LFCTR_DevName] [V @LFCTR_RefIn].
  1.062  ENDIF

  1.063  CALL         Sub PSA Add'l Equipment Minimum Use Requirements

  1.064  IF           @Abort
  1.065  END
  1.066  ENDIF

  1.067  HEAD         POWER METER CAL FACTORS
  1.068  HEAD         -2 Cal Factor Maintenance

  1.069  IF           @Opt_110
  1.070  MATH         @TableName = "8482A,8482A,8481A,8481D"
  1.071  DISP         2 ea. 8482A, 1 ea. 8481A, and 1 ea. 8481D Power Sensors
  1.071  DISP         are required to perform this verification. (Only cal
  1.071  DISP         factors for the 8482A connected to CHANNEL A, the 8481A,
  1.071  DISP         and the 8481D are required.)
  1.071  DISP
  1.072  ELSE
  1.073  MATH         @TableName = "8482A,8482A,8481A"
  1.074  DISP         2 ea. 8482A Power Sensors and 1 ea. 8481A are required
  1.074  DISP         required to perform this verification. (Only cal factors
  1.074  DISP         associated with the 8482A connected to CHANNEL A and the
  1.074  DISP         8481A are required.)
  1.075  ENDIF

  1.076  DO
  1.077  HEAD         POWER METER CAL FACTORS
  1.078  CALL         Sub EPM Check Cal Factor Table Name IEEE

  1.079  IF           @Error
  1.080  MATH         MEM1 = 1
  1.081  ELSE
  1.082  HEAD         -2 Cal Factor Maintenance
  1.083  OPBR         -z Do you wish to review, enter, delete, or rename Power
  1.083  OPBR         Meter cal factor table entries for required sensor(s)
  1.083  OPBR         prior to proceeding?
  1.084  ENDIF

  1.085  IF           MEM1
  1.086  CALL         Sub HP/Agilent E441x Cal Factor Utility IEEE
  1.087  ENDIF

  1.088  UNTIL        NOT(@Error)

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with available documentation.
#
# Agilent E4445A
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   INTERNAL ALIGNMENT                 INTERNAL ALIGNMENT
#    2.   FREQUENCY REFERENCE ACCURACY       REFERENCE FREQUENCY ACCURACY
#    3.   POWER BANDWIDTH ACCURACY           POWER BANDWIDTH ACCURACY
#    4.   RESOLUTION BANDWIDTH SWITCHING     RESOLUTION BANDWIDTH SWITCHING
#    5.   RESIDUAL RESPONSES                 SRESIDUAL RESPONSES
#    6.   DISPLAYED AVERAGE NOISE LEVEL      DISPLAYED AVERAGE NOISE LEVEL
#    7.   FREQUENCY READOUT ACCURACY         FREQUENCY READOUT ACCURACY
#    8.   FREQUENCY SPAN READOUT             FREQUENCY SPAN READOUT
#    9.   COUNT ACCURACY                     COUNT ACCURACY
#   10.   SPURIOUS RESPONSES                 NOISE SIDEBANDS < 50 kHz
#   11.   FREQUENCY RESPONSE (LF)            ABSOLUTE AMPLITUDE ACCURACY
#   12.   FREQUENCY RESPONSE (RF)            INPUT ATTENUATOR SWITCHING
#   13.   FREQUENCY RESPONSE (µW)            DISPLAY SCALE FIDELITY
#   14.   FREQUENCY RESPONSE (Option 110)    SECOND HARMONIC DISTORTION
#   15.   THIRD ORDER INTERMODULATION        NOISE SIDEBANDS > 50 kHz
#   16.   SECOND HARMONIC DISTORTION         FREQUENCY RESPONSE (LF)
#   16a.  SECOND HARMONIC DISTORTION (µW)    FREQUENCY RESPONSE (RF)
#   17.   ABSOLUTE AMPLITUDE ACCURACY        FREQUENCY RESPONSE (µW)
#   18.   INPUT ATTENUATOR SWITCHING         SPURIOUS RESPONSES
#   19.   DISPLAY SCALE FIDELITY             SECOND HARMONIC DISTORTION (µW)
#   20.   NOISE SIDEBANDS < 50 kHz           THIRD ORDER INTERMODULATION
#   21.   NOISE SIDEBANDS > 50 kHz           FREQUENCY RESPONSE (Option 110)

  1.089  HEAD         FREQUENCY REFERENCE CONNECTIONS
  1.090  DISP         Make the following connections:
  1.090  DISP
  1.090  DISP         [32]    UUT (rear)     to    [V @9640DevName] (rear)
  1.090  DISP         [32]  10 MHz REF IN -------> REF FREQUENCY OUT

  1.091  RSLT         =
  1.092  TARGET
  1.093  CALL         Sub PSA Internal Alignment
  1.094  EVAL   -e NOT(MEM) : INTERNAL ALIGNMENT

  2.001  CALL         Sub PSA (2 yr) Frequency Reference VER /LFCTR

  2.002  CALL         Sub PSA (2 yr) Power Bandwidth Accuracy VER
  2.003  CALL         Sub PSA (2 yr) Resolution Bandwidth Switching VER
  2.004  CALL         Sub PSA (2 yr) Residual Responses VER
  2.005  CALL         Sub PSA (2 yr) Displayed Average Noise Level VER
  2.006  CALL         Sub PSA (2 yr) Frequency Readout Accuracy VER /9640
  2.007  CALL         Sub PSA (2 yr) Frequency Span VER /9640
  2.008  CALL         Sub PSA (2 yr) Count Accuracy VER /9640
  2.009  JMPL         NOISE_LF

  2.010  LABEL        SPURIOUS
  2.011  CALL         Sub PSA (2 yr) Spurious Responses VER /4418,8481,SWPG
  2.012  JMPL         2ND_HARM_DISTORTION_HF

  2.013  LABEL        LF_FREQ_RESPONSE
  2.014  CALL         Sub PSA (2 yr) Frequency Response (LF) VER /9640
  2.015  CALL         Sub PSA (2 yr) Freq Resp (RF) VER /9640,4419,8482,SWPG
  2.016  CALL         Sub PSA (2 yr) Freq Response VER /4418,8481,SWPG
  2.017  JMPL         SPURIOUS

  2.018  LABEL        FREQ_RESPONSE_OPT_110
  2.019  CALL         Sub PSA (2 yr) Freq Resp (Opt 110) VER /4418,8481,SWPG
  2.020  JMPL         END

  2.021  LABEL        TOI
  2.022  CALL         Sub PSA (2 yr) Third Order VER /4418,8481,LO,SWPG
  2.023  JMPL         FREQ_RESPONSE_OPT_110        @Opt_110
  2.024  JMPL         END

  2.025  LABEL        2ND_HARM_DISTORTION
  2.026  CALL         Sub PSA (2 yr) 2nd Harmonic Distortion VER /9640
  2.027  JMPL         NOISE_HF

  2.028  LABEL        2ND_HARM_DISTORTION_HF
  2.029  CALL         Sub PSA (2 yr) 2nd Harmonic Dist VER /4418,8481,SWPG
  2.030  JMPL         TOI

  2.031  LABEL        ABSOLUTE_AMPLITUDE
  2.032  CALL         Sub PSA (2 yr) Absolute Amplitude Accuracy VER /9640
  2.033  CALL         Sub PSA (2 yr) Input Attenuation Switching VER /9640
  2.034  CALL         Sub PSA (2 yr) Display Scale Fidelity VER /9640
  2.035  JMPL         2ND_HARM_DISTORTION

  2.036  LABEL        NOISE_LF
  2.037  CALL         Sub PSA (2 yr) Noise Sidebands (<50 kHz) VER /9640-LPN
  2.038  JMPL         ABSOLUTE_AMPLITUDE

  2.039  LABEL        NOISE_HF
  2.040  CALL         Sub PSA (2 yr) Noise Sidebands (>50 kHz) VER /9640-LPN
  2.041  JMPL         LF_FREQ_RESPONSE

  2.042  LABEL        END
# Delete file after verification is complete.
  2.043  DOS          -u cmd /c del "[V @IniFile]"

# If preset mode at beginning was not "Factory", restore original setting.
  2.044  IF           NOT(ZCMPI(@Preset, "FACT"))
  2.045  SCPI         SYST:PRES:TYPE [V @PresetType]
  2.046  ENDIF

  2.047  END
