﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Frequency Readout Accuracy VER /9640
INSTRUMENT:            Sub PSA (2 yr) Frequency Span VER /9640
INSTRUMENT:            Sub PSA (2 yr) Count Accuracy VER /9640
INSTRUMENT:            Sub PSA (2 yr) Absolute Amplitude Accuracy VER /9640
INSTRUMENT:            Sub PSA (2 yr) Input Attenuation Switching VER /9640
INSTRUMENT:            Sub PSA (2 yr) Display Scale Fidelity VER /9640
DATE:                  2015-01-20 16:10:16
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10157 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       601
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        Agilent PSA (E444xA) series
#
#  Compatibility:
#        MET/CAL version 7.20x or later
#
#  Additional Equipment Required:
#        Attenuator, fixed, 10 dB nominal, Type N (m)-(f), 50 MHz, 50 Ohms;
#         Agilent 8491A Opt 010 or equivalent
#        Attenuator, fixed, 20 dB nominal, Type N (m)-(f), 50 MHz, 50 Ohms;
#         Agilent 8491A Opt 020 or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Enable the Reference Frequency Output.
  1.001  9640         ReferenceFrequencyOutput = 10 MHz; OutputImp = 50 Ohms
  1.001  9640         +Frequency = 10 MHz; Level = 0 dBm; Setup

  1.002  MATH         @Error = 0
  1.003  CALL         Sub PSA Get Questionable Calibration Status

  1.004  IF           @AlignAllReq
  1.005  CALL         Sub PSA Internal Alignment
  1.006  ENDIF

  1.007  JMPL         FREQUENCY_READOUT            PSUBI("Readout")
  1.008  JMPL         FREQUENCY_SPAN               PSUBI("Span")
  1.009  JMPL         COUNT_ACCURACY               PSUBI("Count")

  1.010  MATH         AccMode = @AccModeAtten50Abs; DevName = @9640DevName
  1.011  JMPL         ABSOLUTE_AMPLITUDE           PSUBI("Absolute")
  1.012  JMPL         INPUT_ATTENUATION            PSUBI("Switching")
  1.013  JMPL         SCALE_FIDELITY               PSUBI("Fidelity")
  1.014  DISP         Called {Subprocedure Not Found}!
  1.015  END

  1.016  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Frequency Readout Accuracy VER /9640  ==============

  2.001  LABEL        FREQUENCY_READOUT

  2.002  RSLT         =
  2.003  HEAD         {FREQUENCY READOUT ACCURACY}
  2.004  RSLT         = Center Frequency / Span
  2.005  MATH         @Connection = "lpn_to_psa_ext"

  2.006  JMPL         FREQUENCY_READOUT_CONTINUE
  2.007  EVAL   Display connection instructions on Repeat/Cancel.
  3.001  MATH         @Connected = ""
  3.002  LABEL        FREQUENCY_READOUT_CONTINUE

  3.003  CALL         Sub PSA Display Connection

  3.004  IF           @Abort
  3.005  END
  3.006  ENDIF

  3.007  SCPI         SYST:PRES
  3.008  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6
  3.009  SCPI         SWE:TIME:AUTO:RUL ACC;:CAL:AUTO OFF
  3.010  SCPI         CALC:MARK:FCO OFF;:DISP:WIND:TRAC:Y:RLEV 0

  3.011  TOL          0.00750U
  3.012  MATH         @Center = "517.59 MHz"; @Span = "1.98 MHz"
  3.013  CALL         Sub PSA Frequency Readout Accuracy Test /9640
  3.014  MATH         @Center = "832.50 MHz"; @Span = "1.98 MHz"
  3.015  CALL         Sub PSA Frequency Readout Accuracy Test /9640
  3.016  MATH         @Center = "1.505 GHz"; @Span = "106 kHz"
  3.017  CALL         Sub PSA Frequency Readout Accuracy Test /9640

  3.018  TOL          0.00041U
  3.019  MATH         @Center = "1.505 GHz"; @Span = "106 kHz"
  3.020  CALL         Sub PSA Frequency Readout Accuracy Test /9640

  3.021  TOL          0.03025U
  3.022  MATH         @Center = "1.505 GHz"; @Span = "7.95 MHz"
  3.023  CALL         Sub PSA Frequency Readout Accuracy Test /9640

  3.024  TOL          0.20584U
  3.025  MATH         @Center = "1.505 GHz"; @Span = "54.1 MHz"
  3.026  CALL         Sub PSA Frequency Readout Accuracy Test /9640

  3.027  TOL          0.48400U
  3.028  MATH         @Center = "1.505 GHz"; @Span = "127.2 MHz"
  3.029  CALL         Sub PSA Frequency Readout Accuracy Test /9640

  3.030  TOL          8.48334U
  3.031  MATH         @Center = "1.505 GHz"; @Span = "2 GHz"
  3.032  CALL         Sub PSA Frequency Readout Accuracy Test /9640

  3.033  HEAD         -2
  3.034  9640         Standby
  3.035  SCPI         CAL:AUTO ON;:SYST:PRES
  3.036  HEAD
  3.037  END

  3.038  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Frequency Span VER /9640  ==========================

  4.001  LABEL        FREQUENCY_SPAN

  4.002  RSLT         =
  4.003  HEAD         {FREQUENCY SPAN ACCURACY (4,001 Sweep Points)}
  4.004  RSLT         = Span / Center Frequency
  4.005  MATH         @Connection = "lpn_to_psa_ext"
  4.006  CALL         Sub PSA Display Connection

  4.007  IF           @Abort
  4.008  END
  4.009  ENDIF

  4.010  TARGET
  4.011  SCPI         SYST:PRES
  4.012  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6
  4.013  SCPI         SWE:POIN 4.001E+3;:CAL:AUTO OFF
  4.014  MATH         @Center = "517.59 MHz"; @Span = "1.98 MHz"
  4.015  MATH         @RBW = "2 kHz"
  4.016  CALL         Sub PSA (2 yr) Frequency Span Test /9640
  4.017  MATH         @Center = "517.59 MHz"; @Span = "1.00 MHz"
  4.018  MATH         @RBW = "1 kHz"
  4.019  CALL         Sub PSA (2 yr) Frequency Span Test /9640
  4.020  MATH         @Center = "628.60 MHz"; @Span = "1.98 MHz"
  4.021  MATH         @RBW = "2 kHz"
  4.022  CALL         Sub PSA (2 yr) Frequency Span Test /9640
  4.023  MATH         @Center = "819.60 MHz"; @Span = "1.98 MHz"
  4.024  MATH         @RBW = "2 kHz"
  4.025  CALL         Sub PSA (2 yr) Frequency Span Test /9640
  4.026  MATH         @Center = "832.50 MHz"; @Span = "100 MHz"
  4.027  MATH         @RBW = "100 kHz"
  4.028  CALL         Sub PSA (2 yr) Frequency Span Test /9640
  4.029  MATH         @Center = "832.50 MHz"; @Span = "2.00 MHz"
  4.030  MATH         @RBW = "2 kHz"
  4.031  CALL         Sub PSA (2 yr) Frequency Span Test /9640
  4.032  MATH         @Center = "832.50 MHz"; @Span = "1.98 MHz"
  4.033  MATH         @RBW = "2 kHz"
  4.034  CALL         Sub PSA (2 yr) Frequency Span Test /9640
  4.035  MATH         @Center = "832.50 MHz"; @Span = "1.00 MHz"
  4.036  MATH         @RBW = "1 kHz"
  4.037  CALL         Sub PSA (2 yr) Frequency Span Test /9640

  4.038  HEAD         -2
  4.039  9640         Standby
  4.040  SCPI         CAL:AUTO ON;:SYST:PRES
  4.041  HEAD
  4.042  END

  4.043  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Count Accuracy VER /9640  ==========================

  5.001  LABEL        COUNT_ACCURACY

  5.002  ASK-                              U

  5.003  RSLT         =
  5.004  HEAD         {COUNT ACCURACY}
  5.005  MATH         @Connection = "lpn_to_psa_ext"

  5.006  JMPL         COUNT_ACCURACY_CONTINUE
  5.007  EVAL   Display connection instructions on Repeat/Cancel.
  6.001  MATH         @Connected = ""
  6.002  LABEL        COUNT_ACCURACY_CONTINUE

  6.003  CALL         Sub PSA Display Connection

  6.004  IF           @Abort
  6.005  END
  6.006  ENDIF

  6.007  TSET         TDESC = 1 GHz; UUT_RES = 0.001
  6.008  SCPI         SYST:PRES
  6.009  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6
  6.010  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  6.010  9640         +Frequency = 1 GHz; Level = -10 dBm
  6.011  SCPI         FREQ:CENT 1E+9;SPAN 100E+3;:BAND:RES 1E+3;:CAL:AUTO OFF
  6.012  SCPI         SWE:TIME:AUTO:RUL ACC
  6.013  SCPI         CALC:MARK:FCO:STAT ON;GAT:AUTO ON
  6.014  TARGET       -m
  6.015  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;FCO:X?[I]
  6.016  MATH         MEM = MEM / 1E+9
  6.017  MEMCX        1GHz           0.0000000001U

  7.001  HEAD         -2
  7.002  ASK+                              U
  7.003  9640         Standby
  7.004  SCPI         CAL:AUTO ON;:SYST:PRES
  7.005  HEAD
  7.006  END

  7.007  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Absolute Amplitude Accuracy VER /9640  =============

  8.001  LABEL        ABSOLUTE_AMPLITUDE

  8.002  RSLT         =
  8.003  HEAD         {ABSOLUTE AMPLITUDE ACCURACY}
  8.004  RSLT         = Input Level / RBW

  8.005  IF           @Opt_1DS || @Opt_110
  8.006  RSLT         =
  8.007  RSLT         =Preamp Off
  8.008  MATH         Head = "Input Level (Preamp Off)"
  8.009  ELSE
  8.010  MATH         Head = "Input Level"
  8.011  ENDIF

  8.012  MATH         @TestName = "Abs Amplitude"
  8.013  MATH         @Connection = "lpn_to_psa_ext"

  8.014  JMPL         ABSOLUTE_AMPLITUDE_CONTINUE
  8.015  EVAL   Display connection instructions on Repeat/Cancel.
  9.001  MATH         @Connected = ""
  9.002  LABEL        ABSOLUTE_AMPLITUDE_CONTINUE

  9.003  CALL         Sub PSA Display Connection

  9.004  IF           @Abort
  9.005  END
  9.006  ENDIF

  9.007  SCPI         SYST:PRES
  9.008  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6
  9.009  SCPI         CAL:AUTO OFF

  9.010  HEAD         -2 [V Head]: -10 dBm (47 kHz RBW)
  9.011  TSET         TDESC = -10 dBm / 47 kHz
  9.012  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  9.012  9640         +Level = -10 dBm; Frequency = 50 MHz
  9.013  SCPI         FREQ:CENT 50E+6;SPAN 5E+6;:BAND:RES 47E+3;VID 30E+3
  9.014  SCPI         DISP:WIND:TRAC:Y:RLEV -8
  9.015  SCPI         DET:AUTO ON;:AVER:COUN 20;STAT ON;:SWE:TIME:AUTO:RUL ACC
  9.016  TARGET       -m
  9.017  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
# Store to facilitate re-establishing reference following insertion of 10 dB
# attenuator.
  9.018  MATH         AbsRefLvl = MEM
  9.019  MEMCX        -10.00dBm      0.24U

 10.001  HEAD         -2 [V Head]: -12 dBm (18 kHz RBW)
 10.002  TSET         TDESC = -12 dBm / 18 kHz
 10.003  SCPI         FREQ:SPAN 2E+6;:BAND:RES 18E+3;VID 10E+3
 10.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 10.004  9640         +Level = -12 dBm; Frequency = 50 MHz
 10.005  TARGET       -m
 10.006  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 10.007  MEMCX        -12.00dBm      0.24U

 11.001  HEAD         -2 [V Head]: -20 dBm (9.1 kHz RBW)
 11.002  TSET         TDESC = -20 dBm / 9.1 kHz
 11.003  SCPI         FREQ:SPAN 1E+6;:BAND:RES 9.1E+3;VID 3E+3
 11.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 11.004  9640         +Level = -20 dBm; Frequency = 50 MHz
 11.005  TARGET       -m
 11.006  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 11.007  MEMCX        -20.00dBm      0.24U

 12.001  HEAD         -2 [V Head]: -25 dBm (4.7 kHz RBW)
 12.002  TSET         TDESC = -25 dBm / 4.7 kHz
 12.003  SCPI         FREQ:SPAN 500E+3;:BAND:RES 4.7E+3;VID 1E+3;:AVER:COUN 10
 12.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 12.004  9640         +Level = -25 dBm; Frequency = 50 MHz
 12.005  TARGET       -m
 12.006  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 12.007  MEMCX        -25.00dBm      0.24U

 13.001  HEAD         -2 [V Head]: -35 dBm (1.8 kHz RBW)
 13.002  TSET         TDESC = -35 dBm / 1.8 kHz
 13.003  SCPI         FREQ:SPAN 200E+3;:BAND:RES 1.8E+3;VID 300
 13.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 13.004  9640         +Level = -35 dBm; Frequency = 50 MHz
 13.005  TARGET       -m
 13.006  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 13.007  MEMCX        -35.00dBm      0.24U

 14.001  LABEL        RE-REFERENCE
 14.002  9640         Standby

# Insert 10 dB attenuator to raise 9640A amplitude into better accuracy range.
 14.003  MATH         @Connection = "lpn_via_10db_to_psa_ext"
 14.004  CALL         Sub PSA Display Connection

 14.005  IF           @Abort
 14.006  END
 14.007  ENDIF

 14.008  HEAD         -2 [V Head]: -50 dBm (910 Hz RBW)
 14.009  MATH         @TestName = "Abs Amplitude"
 14.010  TSET         TDESC = -50 dBm / 910 Hz

 14.011  HEAD         -2 Re-establishing UUT -10 dBm reference level...
 14.012  SCPI         FREQ:SPAN 5E+6;:BAND:RES 47E+3;VID 30E+3;:AVER:COUN 20
 14.013  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 14.013  9640         +Level = 0 dBm; Frequency = 50 MHz
 14.014  MATH         @PSA_RefLvl = AbsRefLvl; @9640Lvl = AbsRefLvl + 10
 14.015  MATH         @9640Freq = 50E+6
 14.016  MATH         @HiLimit = @PSA_RefLvl + 0.005
 14.017  MATH         @LoLimit = @PSA_RefLvl - 0.005
 14.018  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]

 14.019  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
 14.020  CALL         Sub PSA Set Ref Level (Log) /9640
 14.021  ENDW

 14.022  IF           @Error
# EVAL to force "FAIL" in test results as well as to notify operator.
 14.023  EVAL   -e 0 : An error occurred during [V @TestName] test.
# Reset 'error' variable to false following error detection is sub.
 15.001  MATH         @Error = 0
 15.002  END
 15.003  ENDIF

 15.004  JMPL         CONTINUE_TEST
 15.005  TARGET       -p
# Force connection message to be displayed.
 15.006  MATH         @Connected = ""
 15.007  JMPL         RE-REFERENCE

 15.008  LABEL        CONTINUE_TEST
 15.009  HEAD         -2 [V Head]: -50 dBm (910 Hz RBW)
 15.010  SCPI         FREQ:SPAN 100E+3;:BAND:RES 910 Hz;VID 100;:AVER:COUN 10
 15.011  MATH         RefLvl = @9640Lvl
 15.012  MATH         RefUnc = ACCV2(DevName, AccMode, RefLvl, 50E+6)
 15.013  MATH         TestLvl = @9640Lvl - 40
 15.014  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 15.014  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
# Accuracy is rss of -10 dBm absolute level set and incremental attenuation.
 15.015  MATH         TestUnc = ACCV2(DevName, AccMode, TestLvl, 50E+6)
 15.016  MATH         L[1] = RSS2(RefUnc, TestUnc)
 15.017  ACC          -50.00dBm      L1U
 15.018  TARGET       -m
 15.019  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 15.020  MEMCX        -50.00dBm      0.24U

 16.001  IF           @Opt_1DS || @Opt_110

 16.002  IF           @Opt_1DS
 16.003  TOL          0.36U
 16.004  ELSE
 16.005  TOL          0.40U
 16.006  ENDIF

 16.007  RSLT         =
 16.008  RSLT         =Preamp On
 16.009  HEAD         -2 Input Level (Preamp On): -40 dBm (1 kHz RBW)
 16.010  TARGET       -p
 16.011  TSET         TDESC = -40 dBm / 1 kHz
 16.012  MATH         TestLvl = @9640Lvl - 30
 16.013  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 16.013  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 16.014  SCPI         DISP:WIND:TRAC:Y:RLEV -35;:POW:GAIN ON;:AVER:COUN 5
 16.015  SCPI         FREQ:SPAN 106E+3;:BAND:RES 1E+3;VID 100
 16.016  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 16.016  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 16.017  MATH         TestUnc = ACCV2(DevName, AccMode, TestLvl, 50E+6)
 16.018  MATH         L[1] = RSS2(RefUnc, TestUnc)
 16.019  ACC          -40.00dBm      L1U
 16.020  TARGET       -m
 16.021  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 16.022  MEMCX        -40.00dBm      TOL

 17.001  HEAD         -2 Input Level (Preamp On): -60 dBm (1 kHz RBW)
 17.002  TSET         TDESC = -60 dBm / 1 kHz
 17.003  MATH         TestLvl = @9640Lvl - 50
 17.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 17.004  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 17.005  MATH         TestUnc = ACCV2(DevName, AccMode, TestLvl, 50E+6)
 17.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 17.007  ACC          -60.00dBm      L1U
 17.008  TARGET       -m
 17.009  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 17.010  MEMCX        -60.00dBm      TOL
#! WARNING: Test Tol 8.7989e-011, Sys Tol 2.518e-011 W, TUR 3.4944 (< 4.00).

 18.001  HEAD         -2 Input Level (Preamp On): -80 dBm (1 kHz RBW)
 18.002  TSET         TDESC = -80 dBm / 1 kHz
 18.003  MATH         TestLvl = @9640Lvl - 70
 18.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 18.004  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 18.005  MATH         TestUnc = ACCV2(DevName, AccMode, TestLvl, 50E+6)
 18.006  MATH         L[1] = RSS2(RefUnc, TestUnc)
 18.007  ACC          -80.00dBm      L1U
 18.008  TARGET       -m
 18.009  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 18.010  MEMCX        -80.00dBm      TOL
#! WARNING: Test Tol 8.7989e-013, Sys Tol 2.518e-013 W, TUR 3.4944 (< 4.00).
 19.001  ENDIF

 19.002  HEAD         -2
 19.003  9640         Standby
 19.004  SCPI         CAL:AUTO ON;:SYST:PRES
 19.005  HEAD
 19.006  END

 19.007  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Input Attenuation Switching VER /9640  =============

 20.001  LABEL        INPUT_ATTENUATION

 20.002  RSLT         =
 20.003  HEAD         {INPUT ATTENUATION SWITCHING UNCERTAINTY}
 20.004  RSLT         = Input Attenuation Setting (10 dB Reference)
 20.005  MATH         @TestName = "Input Attenuation"; @Error = 0
 20.006  MATH         @Connection = "lpn_via_10db_to_psa_ext"

 20.007  CALL         Sub PSA Set Input Attenuation Switching Ref Level /9640

 20.008  IF           @Abort
 20.009  END
 20.010  ENDIF

 20.011  TOL          0.20U
 20.012  MATH         @Atten = "0 dB"
 20.013  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640

 20.014  TOL          0.18U
 20.015  MATH         @Atten = "2 dB"
 20.016  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640
 20.017  MATH         @Atten = "6 dB"
 20.018  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640

 20.019  TOL          0.14U
 20.020  MATH         @Atten = "20 dB"
 20.021  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640
 20.022  MATH         @Atten = "30 dB"
 20.023  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640
 20.024  MATH         @Atten = "40 dB"
 20.025  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640

 20.026  TOL          0.18U
 20.027  MATH         @Atten = "50 dB"
 20.028  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640
 20.029  MATH         @Atten = "60 dB"
 20.030  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640
 20.031  MATH         @Atten = "70 dB"
 20.032  CALL         Sub PSA (2 yr) Input Attenuation Switching Test /9640

 20.033  HEAD         -2
 20.034  9640         Standby
 20.035  SCPI         CAL:AUTO ON;:SYST:PRES
 20.036  HEAD
 20.037  END

 20.038  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Display Scale Fidelity VER /9640  ==================

 21.001  LABEL        SCALE_FIDELITY

 21.002  RSLT         =
 21.003  HEAD         {DISPLAY SCALE FIDELITY}
 21.004  RSLT         = Input Mixer Level
# Insert 20 dB attenuator to raise 9640A amplitude into better accuracy range.
 21.005  MATH         @Connection = "lpn_via_20db_to_psa_ext"

 21.006  JMPL         SCALE_FIDELITY_CONTINUE
 21.007  EVAL   Display connection instructions on Repeat/Cancel.
 22.001  MATH         @Connected = ""
 22.002  LABEL        SCALE_FIDELITY_CONTINUE

 22.003  CALL         Sub PSA Display Connection

 22.004  IF           @Abort
 22.005  END
 22.006  ENDIF

 22.007  SCPI         SYST:PRES
 22.008  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6
 22.009  SCPI         CAL:AUTO OFF

 22.010  HEAD         -2 Input Mixer Level: -35 dBm (Reference)
 22.011  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 22.011  9640         +Level = -5 dBm; Frequency = 50 MHz
 22.012  SCPI         FREQ:CENT 50E+6;SPAN 0;:POW:ATT 10;:BAND:RES 10E+3
 22.013  SCPI         BAND:VID 10;:DISP:WIND:TRAC:Y:RLEV 0
 22.014  SCPI         SWE:TIME:AUTO:RUL ACC;:SWE:TYPE FFT;:ADC:DITH ON
 22.014  SCPI         AVER:COUN 30
 22.015  MATH         @PSA_RefLvl = -25; @9640Lvl = @PSA_RefLvl + 10
 22.016  MATH         @HiLimit = @PSA_RefLvl + 0.005
 22.017  MATH         @LoLimit = @PSA_RefLvl - 0.005
 22.018  MATH         @9640Freq = 50E+6; @TestName = "Scale Fidelity"
 22.019  SCPI         AVER:STAT ON
 22.020  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]

 22.021  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
 22.022  HEAD         -2 Setting UUT reference level, Please Wait...
 22.023  CALL         Sub PSA Set Ref Level (Log) /9640
 22.024  ENDW

 22.025  IF           @Error
# EVAL to force "FAIL" in test results as well as to notify operator.
 22.026  EVAL   -e 0 : An error occurred during [V @TestName] test.
# Reset 'error' variable to false following error detection in sub.
 23.001  MATH         @Error = 0
 23.002  END
 23.003  ENDIF

 23.004  JMPL         SCALE_FIDELITY_CONT
 23.005  TARGET       -p
# Display connection instructions on Repeat/Cancel, and reset reference.
 23.006  MATH         @Connected = ""
 23.007  JMPL         SCALE_FIDELITY_CONTINUE

 23.008  LABEL        SCALE_FIDELITY_CONT
 23.009  HEAD         -2 Input Mixer Level: -16 dBm
 23.010  TSET         TDESC = -16 dBm
 23.011  SCPI         CALC:MARK:Y?[I]
 23.012  MATH         RefLvl = MEM; TestLvl = @9640Lvl + 19
 23.013  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 23.013  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 23.014  ACC          -6.000dBm      0.049U
 23.015  TARGET       -m
 23.016  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 23.017  MEMCX        -6.000dBm      0.130U
#! WARNING: Test Tol 7.4076e-006, Sys Tol 2.8501e-006 W, TUR 2.5990 (< 4.00).

 24.001  HEAD         -2 Input Mixer Level: -21 dBm
 24.002  TSET         TDESC = -21 dBm
 24.003  MATH         TestLvl = @9640Lvl + 14
 24.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 24.004  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 24.005  ACC          -11.000dBm     0.049U
 24.006  TARGET       -m
 24.007  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 24.008  MEMCX        -11.000dBm     0.070U
#! WARNING: Test Tol 1.27e-006, Sys Tol 9.0129e-007 W, TUR 1.4091 (< 4.00).

 25.001  HEAD         -2 Input Mixer Level: -45 dBm
 25.002  TSET         TDESC = -45 dBm
 25.003  MATH         TestLvl = @9640Lvl - 10
 25.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 25.004  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 25.005  ACC          -35.000dBm     0.049U
 25.006  TARGET       -m
 25.007  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 25.008  MEMCX        -35.000dBm     0.070U
#! WARNING: Test Tol 5.0561e-009, Sys Tol 3.5881e-009 W, TUR 1.4091 (< 4.00).

 26.001  HEAD         -2 Input Mixer Level: -55 dBm
 26.002  TSET         TDESC = -55 dBm
 26.003  MATH         TestLvl = @9640Lvl - 20
 26.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 26.004  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 26.005  ACC          -45.000dBm     0.053U
 26.006  TARGET       -m
 26.007  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 26.008  MEMCX        -45.000dBm     0.070U
#! WARNING: Test Tol 5.0561e-010, Sys Tol 3.8828e-010 W, TUR 1.3022 (< 4.00).

 27.001  HEAD         -2 Input Mixer Level: -65 dBm
 27.002  TSET         TDESC = -65 dBm
 27.003  MATH         TestLvl = @9640Lvl - 30
 27.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 27.004  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 27.005  ACC          -55.000dBm     0.053U
 27.006  TARGET       -m
 27.007  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 27.008  MEMCX        -55.000dBm     0.070U
#! WARNING: Test Tol 5.0561e-011, Sys Tol 3.8828e-011 W, TUR 1.3022 (< 4.00).

 28.001  HEAD         -2 Input Mixer Level: -75 dBm
 28.002  TSET         TDESC = -75 dBm
 28.003  MATH         TestLvl = @9640Lvl - 40
 28.004  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
 28.004  9640         +Level = [V TestLvl] dBm; Frequency = 50 MHz
 28.005  ACC          -65.000dBm     0.053U
 28.006  TARGET       -m
 28.007  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 28.008  MEMCX        -65.000dBm     0.070U
#! WARNING: Test Tol 5.0561e-012, Sys Tol 3.8828e-012 W, TUR 1.3022 (< 4.00).

 29.001  HEAD         -2
 29.002  9640         Standby
 29.003  SCPI         CAL:AUTO ON;:SYST:PRES
 29.004  HEAD
