﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) RF Frequency Response Test /9640
DATE:                  2014-12-18 13:07:39
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 9838 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       68
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        E444xA series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @9640Freq = BASE(@Freq)
# Abbreviate global variable names.
  1.002  MATH         DevName = @9640DevName; AccMode = @AccModeLevel50
# Compute test frequency mismatch uncertainty in percent.
  1.003  MATH         SourceSWR = ACCV(DevName, "VSWR 50", @9640Freq)
  1.004  MATH         MismatchUncPct = MISMATCHSWR(SourceSWR, @LoadSWR)

  1.005  JMPL         CONTINUE
  1.006  EVAL   Display connection instructions on Repeat/Cancel.
  2.001  MATH         @Connected = ""

  2.002  CALL         Sub PSA Display Connection

  2.003  IF           @Abort
  2.004  END
  2.005  ENDIF

  2.006  LABEL        CONTINUE
  2.007  HEAD         -2 Frequency: [V @Freq] ([V @Atten] dB Input Atten)
  2.008  TSET         TDESC = [V @Freq]
  2.009  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  2.009  9640         +Level = [V @9640Lvl] dBm; Freq = [V @9640Freq] Hz
  2.010  MATH         LevelUnc = REFACC() / DBMTOW(MEM1) / CONF(DevName)
  2.011  MATH         LevelUncPct = LevelUnc * 100
  2.012  MATH         TestUncPct  = RSS2(LevelUncPct, MismatchUncPct)
  2.013  MATH         L[1] = RSS2(@RefUncPct, TestUncPct) * 2
  2.014  MATH         L[1] = PCTTODBW_D(L[1])
  2.015  ACC          0.00dB         L1U                                   +DW
  2.016  SCPI         FREQ:CENT [V @9640Freq]
  2.017  TARGET       -m
  2.018  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  2.019  MEMCX        0.00dB         TOL

  3.001  END
