﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG
DATE:                  2011-10-11
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       28
NUMBER OF LINES:       390
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        PSA series (350 MHz >= tests <=3 GHz)
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @Preamp
  1.002  MATH         @LoadSWR = 1.5

  1.003  IF           @Opt_1DS
  1.004  TOL          0.70U
  1.005  ELSE
  1.006  TOL          1.00U
  1.007  ENDIF

  1.008  ELSE

  1.009  MATH         @LoadSWR = 1.2

  1.010  IF           @Atten > 10
  1.011  TOL          0.53U
  1.012  ELSE
  1.013  TOL          0.38U
  1.014  ENDIF

  1.015  ENDIF

  1.016  SCPI         FREQ:SPAN 50E+3;:BAND:RES 10E+3

  1.017  HEAD         -2 Frequency: 350 MHz ([V @Atten] dB Input Attenuation)
  1.018  TSET         TDESC = 350.00 MHz
  1.019  MATH         @CenterFreq = 350E+6
  1.020  SCPI         FREQ:CENT [V @CenterFreq]
  1.021  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  1.022  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  1.023  ACC          0.00dB         M1U                                   +DW
  1.024  TARGET       -m
  1.025  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.026  SCPI         CALC:MARK:Y?[I]
  1.027  MEMCX        0.00dB         TOL

  2.001  HEAD         -2 Frequency: 450 MHz ([V @Atten] dB Input Attenuation)
  2.002  TSET         TDESC = 450.00 MHz
  2.003  MATH         @CenterFreq = 450E+6
  2.004  SCPI         FREQ:CENT [V @CenterFreq]
  2.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  2.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  2.007  ACC          0.00dB         M1U                                   +DW
  2.008  TARGET       -m
  2.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  2.010  SCPI         CALC:MARK:Y?[I]
  2.011  MEMCX        0.00dB         TOL

  3.001  HEAD         -2 Frequency: 550 MHz ([V @Atten] dB Input Attenuation)
  3.002  TSET         TDESC = 550.00 MHz
  3.003  MATH         @CenterFreq = 550E+6
  3.004  SCPI         FREQ:CENT [V @CenterFreq]
  3.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  3.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  3.007  ACC          0.00dB         M1U                                   +DW
  3.008  TARGET       -m
  3.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  3.010  SCPI         CALC:MARK:Y?[I]
  3.011  MEMCX        0.00dB         TOL

  4.001  HEAD         -2 Frequency: 650 MHz ([V @Atten] dB Input Attenuation)
  4.002  TSET         TDESC = 650.00 MHz
  4.003  MATH         @CenterFreq = 650E+6
  4.004  SCPI         FREQ:CENT [V @CenterFreq]
  4.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  4.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  4.007  ACC          0.00dB         M1U                                   +DW
  4.008  TARGET       -m
  4.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  4.010  SCPI         CALC:MARK:Y?[I]
  4.011  MEMCX        0.00dB         TOL

  5.001  HEAD         -2 Frequency: 750 MHz ([V @Atten] dB Input Attenuation)
  5.002  TSET         TDESC = 750.00 MHz
  5.003  MATH         @CenterFreq = 750E+6
  5.004  SCPI         FREQ:CENT [V @CenterFreq]
  5.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  5.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  5.007  ACC          0.00dB         M1U                                   +DW
  5.008  TARGET       -m
  5.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  5.010  SCPI         CALC:MARK:Y?[I]
  5.011  MEMCX        0.00dB         TOL

  6.001  HEAD         -2 Frequency: 850 MHz ([V @Atten] dB Input Attenuation)
  6.002  TSET         TDESC = 850.00 MHz
  6.003  MATH         @CenterFreq = 850E+6
  6.004  SCPI         FREQ:CENT [V @CenterFreq]
  6.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  6.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  6.007  ACC          0.00dB         M1U                                   +DW
  6.008  TARGET       -m
  6.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  6.010  SCPI         CALC:MARK:Y?[I]
  6.011  MEMCX        0.00dB         TOL

  7.001  HEAD         -2 Frequency: 950 MHz ([V @Atten] dB Input Attenuation)
  7.002  TSET         TDESC = 950.00 MHz
  7.003  MATH         @CenterFreq = 950E+6
  7.004  SCPI         FREQ:CENT [V @CenterFreq]
  7.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  7.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  7.007  ACC          0.00dB         M1U                                   +DW
  7.008  TARGET       -m
  7.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  7.010  SCPI         CALC:MARK:Y?[I]
  7.011  MEMCX        0.00dB         TOL

  8.001  HEAD         -2 Frequency: 1.05 GHz ([V @Atten] dB Input Attenuation)
  8.002  TSET         TDESC = 1050.00 MHz
  8.003  MATH         @CenterFreq = 1.05E+9
  8.004  SCPI         FREQ:CENT [V @CenterFreq]
  8.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  8.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  8.007  ACC          0.00dB         M1U                                   +DW
  8.008  TARGET       -m
  8.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  8.010  SCPI         CALC:MARK:Y?[I]
  8.011  MEMCX        0.00dB         TOL

  9.001  HEAD         -2 Frequency: 1.15 GHz ([V @Atten] dB Input Attenuation)
  9.002  TSET         TDESC = 1150.00 MHz
  9.003  MATH         @CenterFreq = 1.15E+9
  9.004  SCPI         FREQ:CENT [V @CenterFreq]
  9.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  9.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
  9.007  ACC          0.00dB         M1U                                   +DW
  9.008  TARGET       -m
  9.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  9.010  SCPI         CALC:MARK:Y?[I]
  9.011  MEMCX        0.00dB         TOL

 10.001  HEAD         -2 Frequency: 1.25 GHz ([V @Atten] dB Input Attenuation)
 10.002  TSET         TDESC = 1250.00 MHz
 10.003  MATH         @CenterFreq = 1.25E+9
 10.004  SCPI         FREQ:CENT [V @CenterFreq]
 10.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 10.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 10.007  ACC          0.00dB         M1U                                   +DW
 10.008  TARGET       -m
 10.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 10.010  SCPI         CALC:MARK:Y?[I]
 10.011  MEMCX        0.00dB         TOL

 11.001  HEAD         -2 Frequency: 1.35 GHz ([V @Atten] dB Input Attenuation)
 11.002  TSET         TDESC = 1350.00 MHz
 11.003  MATH         @CenterFreq = 1.35E+9
 11.004  SCPI         FREQ:CENT [V @CenterFreq]
 11.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 11.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 11.007  ACC          0.00dB         M1U                                   +DW
 11.008  TARGET       -m
 11.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 11.010  SCPI         CALC:MARK:Y?[I]
 11.011  MEMCX        0.00dB         TOL

 12.001  HEAD         -2 Frequency: 1.45 GHz ([V @Atten] dB Input Attenuation)
 12.002  TSET         TDESC = 1450.00 MHz
 12.003  MATH         @CenterFreq = 1.45E+9
 12.004  SCPI         FREQ:CENT [V @CenterFreq]
 12.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 12.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 12.007  ACC          0.00dB         M1U                                   +DW
 12.008  TARGET       -m
 12.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 12.010  SCPI         CALC:MARK:Y?[I]
 12.011  MEMCX        0.00dB         TOL

 13.001  HEAD         -2 Frequency: 1.55 GHz ([V @Atten] dB Input Attenuation)
 13.002  TSET         TDESC = 1550.00 MHz
 13.003  MATH         @CenterFreq = 1.55E+9
 13.004  SCPI         FREQ:CENT [V @CenterFreq]
 13.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 13.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 13.007  ACC          0.00dB         M1U                                   +DW
 13.008  TARGET       -m
 13.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 13.010  SCPI         CALC:MARK:Y?[I]
 13.011  MEMCX        0.00dB         TOL

 14.001  HEAD         -2 Frequency: 1.65 GHz ([V @Atten] dB Input Attenuation)
 14.002  TSET         TDESC = 1650.00 MHz
 14.003  MATH         @CenterFreq = 1.65E+9
 14.004  SCPI         FREQ:CENT [V @CenterFreq]
 14.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 14.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 14.007  ACC          0.00dB         M1U                                   +DW
 14.008  TARGET       -m
 14.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 14.010  SCPI         CALC:MARK:Y?[I]
 14.011  MEMCX        0.00dB         TOL

 15.001  HEAD         -2 Frequency: 1.75 GHz ([V @Atten] dB Input Attenuation)
 15.002  TSET         TDESC = 1750.00 MHz
 15.003  MATH         @CenterFreq = 1.75E+9
 15.004  SCPI         FREQ:CENT [V @CenterFreq]
 15.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 15.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 15.007  ACC          0.00dB         M1U                                   +DW
 15.008  TARGET       -m
 15.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 15.010  SCPI         CALC:MARK:Y?[I]
 15.011  MEMCX        0.00dB         TOL

 16.001  HEAD         -2 Frequency: 1.85 GHz ([V @Atten] dB Input Attenuation)
 16.002  TSET         TDESC = 1850.00 MHz
 16.003  MATH         @CenterFreq = 1.85E+9
 16.004  SCPI         FREQ:CENT [V @CenterFreq]
 16.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 16.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 16.007  ACC          0.00dB         M1U                                   +DW
 16.008  TARGET       -m
 16.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 16.010  SCPI         CALC:MARK:Y?[I]
 16.011  MEMCX        0.00dB         TOL

 17.001  HEAD         -2 Frequency: 1.95 GHz ([V @Atten] dB Input Attenuation)
 17.002  TSET         TDESC = 1950.00 MHz
 17.003  MATH         @CenterFreq = 1.95E+9
 17.004  SCPI         FREQ:CENT [V @CenterFreq]
 17.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 17.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 17.007  ACC          0.00dB         M1U                                   +DW
 17.008  TARGET       -m
 17.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 17.010  SCPI         CALC:MARK:Y?[I]
 17.011  MEMCX        0.00dB         TOL

 18.001  HEAD         -2 Frequency: 2.05 GHz ([V @Atten] dB Input Attenuation)
 18.002  TSET         TDESC = 2050.00 MHz
 18.003  MATH         @CenterFreq = 2.05E+9
 18.004  SCPI         FREQ:CENT [V @CenterFreq]
 18.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 18.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 18.007  ACC          0.00dB         M1U                                   +DW
 18.008  TARGET       -m
 18.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 18.010  SCPI         CALC:MARK:Y?[I]
 18.011  MEMCX        0.00dB         TOL

 19.001  HEAD         -2 Frequency: 2.15 GHz ([V @Atten] dB Input Attenuation)
 19.002  TSET         TDESC = 2150.00 MHz
 19.003  MATH         @CenterFreq = 2.15E+9
 19.004  SCPI         FREQ:CENT [V @CenterFreq]
 19.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 19.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 19.007  ACC          0.00dB         M1U                                   +DW
 19.008  TARGET       -m
 19.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 19.010  SCPI         CALC:MARK:Y?[I]
 19.011  MEMCX        0.00dB         TOL

 20.001  IF           @Atten > 10 && NOT(@Preamp)
 20.002  TOL          0.69U
 20.003  ENDIF

 20.004  HEAD         -2 Frequency: 2.25 GHz ([V @Atten] dB Input Attenuation)
 20.005  TSET         TDESC = 2250.00 MHz
 20.006  MATH         @CenterFreq = 2.25E+9
 20.007  SCPI         FREQ:CENT [V @CenterFreq]
 20.008  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 20.009  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 20.010  ACC          0.00dB         M1U                                   +DW
 20.011  TARGET       -m
 20.012  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 20.013  SCPI         CALC:MARK:Y?[I]
 20.014  MEMCX        0.00dB         TOL

 21.001  HEAD         -2 Frequency: 2.35 GHz ([V @Atten] dB Input Attenuation)
 21.002  TSET         TDESC = 2350.00 MHz
 21.003  MATH         @CenterFreq = 2.35E+9
 21.004  SCPI         FREQ:CENT [V @CenterFreq]
 21.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 21.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 21.007  ACC          0.00dB         M1U                                   +DW
 21.008  TARGET       -m
 21.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 21.010  SCPI         CALC:MARK:Y?[I]
 21.011  MEMCX        0.00dB         TOL

 22.001  HEAD         -2 Frequency: 2.45 GHz ([V @Atten] dB Input Attenuation)
 22.002  TSET         TDESC = 2450.00 MHz
 22.003  MATH         @CenterFreq = 2.45E+9
 22.004  SCPI         FREQ:CENT [V @CenterFreq]
 22.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 22.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 22.007  ACC          0.00dB         M1U                                   +DW
 22.008  TARGET       -m
 22.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 22.010  SCPI         CALC:MARK:Y?[I]
 22.011  MEMCX        0.00dB         TOL

 23.001  HEAD         -2 Frequency: 2.55 GHz ([V @Atten] dB Input Attenuation)
 23.002  TSET         TDESC = 2550.00 MHz
 23.003  MATH         @CenterFreq = 2.55E+9
 23.004  SCPI         FREQ:CENT [V @CenterFreq]
 23.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 23.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 23.007  ACC          0.00dB         M1U                                   +DW
 23.008  TARGET       -m
 23.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 23.010  SCPI         CALC:MARK:Y?[I]
 23.011  MEMCX        0.00dB         TOL

 24.001  HEAD         -2 Frequency: 2.65 GHz ([V @Atten] dB Input Attenuation)
 24.002  TSET         TDESC = 2650.00 MHz
 24.003  MATH         @CenterFreq = 2.65E+9
 24.004  SCPI         FREQ:CENT [V @CenterFreq]
 24.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 24.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 24.007  ACC          0.00dB         M1U                                   +DW
 24.008  TARGET       -m
 24.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 24.010  SCPI         CALC:MARK:Y?[I]
 24.011  MEMCX        0.00dB         TOL

 25.001  HEAD         -2 Frequency: 2.75 GHz ([V @Atten] dB Input Attenuation)
 25.002  TSET         TDESC = 2750.00 MHz
 25.003  MATH         @CenterFreq = 2.75E+9
 25.004  SCPI         FREQ:CENT [V @CenterFreq]
 25.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 25.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 25.007  ACC          0.00dB         M1U                                   +DW
 25.008  TARGET       -m
 25.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 25.010  SCPI         CALC:MARK:Y?[I]
 25.011  MEMCX        0.00dB         TOL

 26.001  HEAD         -2 Frequency: 2.85 GHz ([V @Atten] dB Input Attenuation)
 26.002  TSET         TDESC = 2850.00 MHz
 26.003  MATH         @CenterFreq = 2.85E+9
 26.004  SCPI         FREQ:CENT [V @CenterFreq]
 26.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 26.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 26.007  ACC          0.00dB         M1U                                   +DW
 26.008  TARGET       -m
 26.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 26.010  SCPI         CALC:MARK:Y?[I]
 26.011  MEMCX        0.00dB         TOL

 27.001  HEAD         -2 Frequency: 2.95 GHz ([V @Atten] dB Input Attenuation)
 27.002  TSET         TDESC = 2950.00 MHz
 27.003  MATH         @CenterFreq = 2.95E+9
 27.004  SCPI         FREQ:CENT [V @CenterFreq]
 27.005  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
 27.006  CALL         Sub PSA Compute RF Freq Response Test Uncertainty
 27.007  ACC          0.00dB         M1U                                   +DW
 27.008  TARGET       -m
 27.009  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 27.010  SCPI         CALC:MARK:Y?[I]
 27.011  MEMCX        0.00dB         TOL

 28.001  HEAD         -2
 28.002  END
