﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Freq Resp (RF) VER /9640,4419,8482,SWPG
DATE:                  2012-02-15
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       350
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        E444xA series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Subprocedures:
#        Sub PSA Get Questionable Calibration Status
#        Sub PSA Internal Alignment
#        Sub PSA Frequency Response Tests /9640
#        Sub HP 8482A (Ch. A & B) Zero and Cal /4419
#        Sub PSA Char Power Splitter Tracking /4419,8482,SWPG
#        Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
#        Sub PSA Compute RF Freq Response Reference Uncertainty
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG
#        Sub Reset /SWPG
#        Sub Initialize /SWPG
#
#  Required Files:
#        psa_freq_resp_b_11667a_swpg.jpg
#        psa_freqresp_pre_11667a_swpg.jpg
#
#  Additional Equipment Required:
#        None
#
#  Uncertainty Analysis:
#
#   Frequency Response (300 kHz to 300 MHz):
#      - 9640A Absolute Amplitude Accuracy (50 Ohms)
#      - 9640A Output VSWR Specification
#      - UUT Input VSWR Specification
#      - 9640A-50 Leveling Head to UUT RF Input Mismatch Uncertainty
#
#   Frequency Response (300 MHz to 3 GHz):
#      - E4419() Instrumentation Accuracy
#      - E4419() Floor Specification
#      - 8482A Power Sensor Cal Factor Uncertainty
#      - 8482A to 11667A Power Splitter Mismatch Uncertainty
#      - 11667A to UUT Mismatch Uncertainty
#    During characterization, since only flatness is relevant, not absolute
#    power, only the 8482A Cal Factor Uncertainty, E4419() Instrumentation
#    Accuracy and Floor Specification, along with the various mismatch
#    uncertainties, are pertinent.
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the above components.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Error = 0
  1.002  CALL         Sub PSA Get Questionable Calibration Status

  1.003  IF           @AlignAllReq
  1.004  CALL         Sub PSA Internal Alignment
  1.005  ENDIF

  1.006  RSLT         =
  1.007  HEAD         {FREQUENCY RESPONSE 300 kHz to 3 GHz} (AC Coupled)
  1.008  MATH         @Preamp = 0
  1.009  RSLT         =

  1.010  IF           @Opt_1DS || @Opt_110
  1.011  RSLT         = -10 dBm, 10 dB Attenuation, AC Coupling (Preamp Off)
  1.012  ELSE
  1.013  RSLT         = -10 dBm, 10 dB Attenuation, AC Coupling
  1.014  ENDIF

  1.015  TARGET       -p
  1.016  SCPI         SYST:PRES
  1.017  9640         RefFreqOutput = 10 MHz; OutputImp = 50 Ohms
  1.017  9640         +Level = -10 dBm; Freq = 50 MHz
  1.018  SCPI         CAL:AUTO OFF;:FREQ:CENT 50E+6;SPAN 20E+3;:INP:COUP AC
  1.019  SCPI         DISP:WIND:TRAC:Y:RLEV -5;PDIV 1;:POW:RF:ATT 10
  1.020  SCPI         SWE:TIME:AUTO:RUL ACC;:BWID:RES 3E+3;VID 3E+3
  1.021  SCPI         ROSC:SOUR EXT;:ROSC:EXT:FREQ 10E+6
  1.022  SCPI         INIT:CONT OFF
  1.023  MATH         @TestName = "Preamp Off"
  1.024  MATH         @9640Freq = 50E+6; @9640RefOut = 10E+6
  1.025  MATH         @PSA_RefLvl = -10; @9640Lvl = @PSA_RefLvl
  1.026  MATH         @LoLimit = -10.02; @HiLimit = -9.98
  1.027  MATH         @DC_Coupled = 0; @AC_Coupled = 1; @Atten = 10
  1.028  CALL         Sub PSA Frequency Response Tests /9640
  1.029  JMPL         DC_10dB_HF

  1.030  LABEL        AC_10dB_RF
  1.031  HEAD         -2
  1.032  CALL         Sub HP 8482A (Ch. A & B) Zero and Cal /4419
  1.033  MATH         @Preamp = 0
  1.034  HEAD         FREQUENCY RESPONSE 300 kHz to 3 GHz
  1.035  CALL         Sub PSA Char Power Splitter Tracking /4419,8482,SWPG
  1.036  CALL         Sub PSA Get Questionable Calibration Status

  1.037  IF           @AlignAllReq
  1.038  CALL         Sub PSA Internal Alignment
  1.039  ENDIF

  1.040  HEAD         FREQUENCY RESPONSE 300 kHz to 3 GHz (AC Coupled)
  1.041  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.042  PIC          psa_freq_resp_b_11667a_swpg.jpg

  1.043  DISP         Ensure the UUT 10 MHz REF OUT (rear) is connected to
  1.043  DISP         the [V @SWPG_DevName] [V @SWPG_RefIn].

  1.044  HEAD         -2 Setting 50 MHz reference level...
  1.045  SCPI         SYST:PRES
  1.046  SCPI         CAL:AUTO OFF;:FREQ:CENT 50E+6;SPAN 20E+3;:INP:COUP AC
  1.047  SCPI         DISP:WIND:TRAC:Y:RLEV -5;PDIV 1;:POW:RF:ATT 10
  1.048  SCPI         SWE:TIME:AUTO:RUL ACC;:BWID:RES 3E+3;VID 3E+3
  1.049  SCPI         ROSC:OUTP ON;:INIT:CONT OFF
  1.050  MATH         @TestName = "Preamp Off"
  1.051  MATH         @CenterFreq = 50E+6; @TestLvl = -4; @LoadSWR = 1.07
  1.052  MATH         @DevName = "Agilent 11667A"; @AccMode = "Output SWR"
  1.053  MATH         @Chan = "B"
  1.054  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  1.055  CALL         Sub PSA Compute RF Freq Response Reference Uncertainty
  1.056  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.057  SCPI         CALC:MARK:MODE DELTA

  1.058  MATH         @DC_Coupled = 0; @AC_Coupled = 1; @Atten = 10
  1.059  CALL         Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG
  1.060  JMPL         DC_10dB_RF

  1.061  LABEL        DC_10dB_HF
  1.062  HEAD         FREQUENCY RESPONSE 300 kHz to 3 GHz (DC Coupled)
  1.063  RSLT         =

  1.064  IF           @Opt_1DS || @Opt_110
  1.065  RSLT         = -10 dBm, 10 dB Attenuation, DC Coupling (Preamp Off)
  1.066  ELSE
  1.067  RSLT         = -10 dBm, 10 dB Attenuation, DC Coupling
  1.068  ENDIF

  1.069  TARGET       -p
  1.070  HEAD         -2 Setting 50 MHz reference level...
  1.071  9640         RefFreqOutput = 10 MHz; OutputImp = 50 Ohms
  1.071  9640         +Level = -10 dBm; Freq = 50 MHz
  1.072  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:INP:COUP DC
  1.073  SCPI         POW:RF:ATT 10
  1.074  MATH         @DC_Coupled = 1; @AC_Coupled = 0
  1.075  CALL         Sub PSA Frequency Response Tests /9640
  1.076  JMPL         DC_20dB_HF                   @SN > 4140
  1.077  JMPL         PRE_ON_HF                    @Opt_1DS || @Opt_110
  1.078  SCPI         ROSC:SOUR INT
  1.079  9640         Reset
  1.080  JMPL         AC_10dB_RF

  1.081  LABEL        DC_10dB_RF
  1.082  HEAD         FREQUENCY RESPONSE 300 kHz to 3 GHz (DC Coupled)
  1.083  HEAD         -2 Setting 50 MHz reference level...
  1.084  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:INP:COUP DC
  1.085  SCPI         POW:RF:ATT 10
  1.086  MATH         @CenterFreq = 50E+6; @LoadSWR = 1.07
  1.087  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  1.088  CALL         Sub PSA Compute RF Freq Response Reference Uncertainty
  1.089  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.090  SCPI         CALC:MARK:MODE DELTA

  1.091  MATH         @DC_Coupled = 1; @AC_Coupled = 0; @Atten = 10
  1.092  CALL         Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG
  1.093  JMPL         DC_20dB_RF                   @SN > 4140
  1.094  JMPL         PRE_ON_RF                    @Opt_1DS || @Opt_110
  1.095  JMPL         END

# Agilent N7810A (TME) Test Overview, Aug. 2010, states that frequency
# response for input attenuation settings above 10 dB is only performed
# on UUTs with serial number prefixes greater than (MY/US)4140.
  1.096  LABEL        DC_20dB_HF
  1.097  RSLT         =

  1.098  IF           @Opt_1DS || @Opt_110
  1.099  RSLT         = -10 dBm, 20 dB Attenuation, DC Coupling (Preamp Off)
  1.100  ELSE
  1.101  RSLT         = -10 dBm, 20 dB Attenuation, DC Coupling
  1.102  ENDIF

  1.103  TARGET       -p
  1.104  HEAD         -2 Setting 50 MHz reference level...
  1.105  9640         RefFreqOutput = 10 MHz; OutputImp = 50 Ohms
  1.105  9640         +Level = -10 dBm; Freq = 50 MHz
  1.106  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:POW:RF:ATT 20
  1.107  MATH         @Atten = 20
  1.108  CALL         Sub PSA Frequency Response Tests /9640
  1.109  JMPL         DC_30dB_HF

  1.110  LABEL        DC_20dB_RF
  1.111  HEAD         -2 Setting 50 MHz reference level...
  1.112  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:POW:RF:ATT 20
  1.113  MATH         @Atten = 20; @CenterFreq = 50E+6; @LoadSWR = 1.07
  1.114  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  1.115  CALL         Sub PSA Compute RF Freq Response Reference Uncertainty
  1.116  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.117  SCPI         CALC:MARK:MODE DELTA

  1.118  CALL         Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG
  1.119  JMPL         DC_30dB_RF

  1.120  LABEL        DC_30dB_HF
  1.121  RSLT         =

  1.122  IF           @Opt_1DS || @Opt_110
  1.123  RSLT         = -10 dBm, 30 dB Attenuation, DC Coupling (Preamp Off)
  1.124  ELSE
  1.125  RSLT         = -10 dBm, 30 dB Attenuation, DC Coupling
  1.126  ENDIF

  1.127  TARGET       -p
  1.128  HEAD         -2 Setting 50 MHz reference level...
  1.129  9640         RefFreqOutput = 10 MHz; OutputImp = 50 Ohms
  1.129  9640         +Level = -10 dBm; Freq = 50 MHz
  1.130  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:POW:RF:ATT 30
  1.131  MATH         @CenterFreq = 50E+6; @LoadSWR = 1.07
  1.132  MATH         @Atten = 30
  1.133  CALL         Sub PSA Frequency Response Tests /9640
  1.134  JMPL         DC_40dB_HF

  1.135  LABEL        DC_30dB_RF
  1.136  HEAD         -2 Setting 50 MHz reference level...
  1.137  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:POW:RF:ATT 30
  1.138  MATH         @Atten = 30; @CenterFreq = 50E+6; @LoadSWR = 1.07
  1.139  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  1.140  CALL         Sub PSA Compute RF Freq Response Reference Uncertainty
  1.141  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.142  SCPI         CALC:MARK:MODE DELTA

  1.143  CALL         Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG
  1.144  JMPL         DC_40dB_RF

  1.145  LABEL        DC_40dB_HF
  1.146  RSLT         =

  1.147  IF           @Opt_1DS || @Opt_110
  1.148  RSLT         = -10 dBm, 40 dB Attenuation, DC Coupling (Preamp Off)
  1.149  ELSE
  1.150  RSLT         = -10 dBm, 40 dB Attenuation, DC Coupling
  1.151  ENDIF

  1.152  TARGET       -p
  1.153  HEAD         -2 Setting 50 MHz reference level...
  1.154  9640         RefFreqOutput = 10 MHz; OutputImp = 50 Ohms
  1.154  9640         +Level = -10 dBm; Freq = 50 MHz
  1.155  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:POW:RF:ATT 40
  1.156  MATH         @Atten = 40
  1.157  CALL         Sub PSA Frequency Response Tests /9640
  1.158  JMPL         PRE_ON_HF                    @Opt_1DS || @Opt_110
  1.159  SCPI         ROSC:SOUR INT
  1.160  JMPL         AC_10dB_RF

  1.161  LABEL        DC_40dB_RF
  1.162  HEAD         -2 Setting 50 MHz reference level...
  1.163  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:POW:RF:ATT 40
  1.164  MATH         @Atten = 40; @CenterFreq = 50E+6; @LoadSWR = 1.07
  1.165  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  1.166  CALL         Sub PSA Compute RF Freq Response Reference Uncertainty
  1.167  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.168  SCPI         CALC:MARK:MODE DELTA

  1.169  CALL         Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG

  1.170  HEAD         -2
  1.171  JMPL         PRE_ON_RF                    @Opt_1DS || @Opt_110
  1.172  JMPL         END

  1.173  LABEL        PRE_ON_HF
  1.174  RSLT         =
  1.175  RSLT         = -13 dBm, 0 dB Attenuation, DC Coupling (Preamp On)
  1.176  HEAD         -2 Setting 50 MHz reference level...
  1.177  MATH         @Preamp = 1
  1.178  TARGET       -p
  1.179  SCPI         SYST:PRES
  1.180  9640         RefFreqOutput = 10 MHz; OutputImp = 50 Ohms
  1.180  9640         +Level = -13 dBm; Freq = 50 MHz
  1.181  SCPI         CAL:AUTO OFF;:FREQ:CENT 50E+6;SPAN 20E+3;:INP:COUP DC
  1.182  SCPI         DISP:WIND:TRAC:Y:RLEV -10;PDIV 1;:POW:RF:ATT 0
  1.183  SCPI         SWE:TIME:AUTO:RUL ACC;:BWID:RES 3E+3;VID 3E+3
  1.184  SCPI         ROSC:SOUR EXT;:ROSC:EXT:FREQ 10E+6
  1.185  SCPI         INIT:CONT OFF
  1.186  MATH         @TestName = "Preamp On"; @Atten = 0
  1.187  MATH         @9640Freq = 50E+6; @9640RefOut = 10E+6
  1.188  MATH         @PSA_RefLvl = -13; @9640Lvl = @PSA_RefLvl
  1.189  MATH         @LoLimit = -13.02; @HiLimit = -12.98
  1.190  CALL         Sub PSA Frequency Response Tests /9640
  1.191  SCPI         ROSC:SOUR INT
  1.192  9640         Reset
  1.193  JMPL         AC_10dB_RF

  1.194  LABEL        PRE_ON_RF
  1.195  TARGET       -p
  1.196  MATH         @Preamp = 1
  1.197  MATH         @SWPG_ROSC = "Int"
  1.198  CALL         Sub Apply /SWPG
  1.199  CALL         Sub PSA Char Power Splitter Tracking /4419,8482,SWPG
  1.200  CALL         Sub PSA Get Questionable Calibration Status

  1.201  IF           @AlignAllReq
  1.202  CALL         Sub PSA Internal Alignment
  1.203  ENDIF

  1.204  HEAD         FREQUENCY RESPONSE 300 kHz to 3 GHz (Preamp On)
  1.205  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.206  PIC          psa_freqresp_pre_11667a_swpg.jpg

  1.207  HEAD         -2 Setting 50 MHz reference level...
  1.208  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;:POW:RF:ATT 40
  1.209  SCPI         FREQ:CENT 50E+6;SPAN 20E+3;:INP:COUP DC
  1.210  SCPI         DISP:WIND:TRAC:Y:RLEV -10;PDIV 1;:POW:RF:ATT 0
  1.211  SCPI         SWE:TIME:AUTO:RUL ACC;:BWID:RES 3E+3;VID 3E+3
  1.212  SCPI         ROSC:OUTP ON
  1.213  MATH         @CenterFreq = 50E+6; @LoadSWR = 1.07; @Atten = 0
  1.214  MATH         @DevName = "Agilent 11667A"; @AccMode = "Output SWR"
  1.215  MATH         @Chan = "B"
  1.216  CALL         Sub PSA Set RF Freq Response Test Lvl /4419,8482,SWPG
  1.217  CALL         Sub PSA Compute RF Freq Response Reference Uncertainty
  1.218  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.219  SCPI         CALC:MARK:MODE DELTA

  1.220  CALL         Sub PSA (2 yr) RF Freq Response Test /4419,8482,SWPG

  1.221  LABEL        END
  1.222  HEAD         -2
  1.223  CALL         Sub Initialize /SWPG
  1.224  CALL         Sub Reset /SWPG
  1.225  HEAD
  1.226  SCPI         ROSC:OUTP OFF;:CAL:AUTO ON;:SYST:PRES
  1.227  MATH         DEL("@Chan")

  1.228  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.229  DISP         Disconnect all equipment from the UUT.
  1.230  END
