﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Spurious Responses VER /4418,8481,SWPG
INSTRUMENT:            Sub PSA (2 yr) Freq Response VER /4418,8481,SWPG
INSTRUMENT:            Sub PSA (2 yr) 2nd Harmonic Dist VER /4418,8481,SWPG
DATE:                  2012-01-26
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       26
NUMBER OF LINES:       650
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA series <= 18 GHz bandwidth
#
#  Compatibility:
#        MET/CAL 7.3.19 or later
#
#  Subprocedures:
#        Sub Reset /SWPG
#        Sub Apply /SWPG
#        Sub PSA Get Questionable Calibration Status
#        Sub PSA Internal Alignment
#        Sub Level Signal /4418,8481,SWPG
#        Sub PSA Set Spur Response Test Level /4418,8481,SWPG
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#        Sub Agilent ESA/PSA Take Sweep Only
#        Sub Initialize /SWPG
#        Sub Compute Power Splitter Leveling Uncertainty
#        Sub HP 8481A Zero and Cal /4418
#        Sub PSA µW Frequency Response Tests /4418,8481,SWPG
#        Sub PSA Set Ref Level (Log) /SWPG
#
#  Required Files:
#        psa_freq_resp_a_11667a_swpg.jpg
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#          Frequency Range: 10 MHz to 26.5 GHz, CW
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: -10 to +6 dBm
#            Accuracy  :   ±2 dB
#            Resolution: 0.01 dB
#
#  Additional Equipment Required:
#        Splitter,Power, 50 Ohms, 10 MHz to 26.5 GHz, Type N (3.5 mm),
#          Agilent 11667B or equivalent
#        Adapter, Type N (m) - 3.5 (m), 50 Ohms, DC to 26.5 GHz, VSWR: 1.08;
#          Agilent 1250-1743 or equivalent
#
#  Uncertainty Analysis:
#
#   2nd Harmonic Distortion:
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#      - Level accuracy at fundamental frequency (including mismatch)
#      - Level accuracy at 2nd Harmonic frequency (including mismatch)
#      - 11667B to UUT mismatch uncertainty at 2nd Harmonic frequency
#      - UUT Display Scale Fidelity specification
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  M4418  F64   8481A
  1.004  ENDIF

  1.005  CALL         Sub Reset /SWPG
  1.006  MATH         @Error = 0
  1.007  CALL         Sub PSA Get Questionable Calibration Status

  1.008  IF           @AlignAllReq
  1.009  CALL         Sub PSA Internal Alignment
  1.010  ENDIF

  1.011  JMPL         SPURIOUS                     PSUBI("Spurious")
  1.012  JMPL         FREQ_RESPONSE                PSUBI("Freq Response")
  1.013  JMPL         2nd_HARMONIC                 PSUBI("Harmonic")
  1.014  DISP         Called {Subprocedure Not Found}!
  1.015  END

  1.016  EVAL   Increment Test Number

# =====  Sub PSA (2 yr) Spurious Responses VER /4418,8481,SWPG  ============

  2.001  LABEL        SPURIOUS

# It is assumed that the Sweep Generator (SWPG) is already properly connected
# to the UUT RF INPUT following the frequency response test...

  2.002  RSLT         =
  2.003  HEAD         {SPURIOUS RESPONSES}
  2.004  RSLT         = (Spur / Source Frequency)
  2.005  RSLT         =
  2.006  RSLT         =Span: 100 Hz
  2.007  TARGET       -p

  2.008  LABEL        1_GHz:2960.7_MHz:START
  2.009  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 2960.7 MHz
  2.010  MATH         @SWPG_Freq = "1 GHz"; @SWPG_Ampl = "-14dBm"
  2.011  MATH         @SWPG_ROSC = "Ext"
  2.012  CALL         Sub Apply /SWPG
  2.013  SCPI         SYST:PRES
  2.014  SCPI         FREQ:CENT 1E+9;SPAN 100;:DISP:WIND:TRAC:Y:RLEV -20
  2.015  SCPI         POW:RF:ATT 20;:DET:AUTO ON;:BWID:RES 30;:AVER:COUN 5
  2.016  SCPI         SWE:TIME:AUTO:RUL ACC;:SWE:TYPE:AUTO:RUL DRAN
  2.017  SCPI         ROSC:OUTP ON;:INIT:CONT OFF;:AVER:STAT ON

  2.018  HEAD         -2 Setting UUT 1 GHz, -20 dBm reference level...
  2.019  MATH         @CenterFreq = 1E+9; @RefLvl = -20; @TestLvl = -14
  2.020  MATH         @LoLimit = -20.02; @HiLimit = -19.98
  2.021  MATH         @TestName = "Input Spurs (100 Hz)"
  2.022  CALL         Sub Level Signal /4418,8481,SWPG

  2.023  IF           @Error
  2.024  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  MATH         @RefPower = MEM
  3.005  MATH         @DevName1       = "Agilent E4418B"
  3.006  MATH         @SensorAccMode  = "Watts 100mW F64"
  3.007  MATH         @SensorSWR_Mode = "SWR 8481A"
  3.008  MATH         @DevName2       = "Agilent 11667A"
  3.009  MATH         @SpltrSWR_Mode  = "Output SWR"
  3.010  MATH         @SpltrTrackMode = "Tracking"
  3.011  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.2
  3.012  CALL         Sub Compute Power Splitter Leveling Uncertainty
  3.013  MATH         @RefUncPct = @LevelUncPct
  3.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  3.015  SCPI         CALC:MARK:MODE DELTA

# Set target to facilitate restarting test on Repeat or Cancel.
  3.016  JMPL         1_GHz:2960.7_MHz:CONTINUE
  3.017  TARGET       -p
  3.018  JMPL         1_GHz:2960.7_MHz:START

  3.019  LABEL        1_GHz:2960.7_MHz:CONTINUE
  3.020  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 2960.7 MHz
  3.021  TSET         TDESC = 1 GHz / 2.9607 GHz
  3.022  MATH         @SWPG_Freq = "2.9607 GHz"
  3.023  CALL         Sub Apply /SWPG
  3.024  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
  3.025  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 2960.7 MHz
  3.026  TARGET       -m
  3.027  CALL         Sub Agilent ESA/PSA Take Sweep Only
  3.028  SCPI         CALC:MARK:Y?[I]
  3.029  ACC          dBc            M1U
  3.030  MEMCX        -80.00dBc      -40.00U

  4.001  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1160.7 MHz
  4.002  TSET         TDESC = 1 GHz / 1.1607 GHz
  4.003  MATH         @SWPG_Freq = "1.1607 GHz"
  4.004  CALL         Sub Apply /SWPG
  4.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
  4.006  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1160.7 MHz
  4.007  TARGET       -m
  4.008  CALL         Sub Agilent ESA/PSA Take Sweep Only
  4.009  SCPI         CALC:MARK:Y?[I]
  4.010  ACC          dBc            L1U
  4.011  MEMCX        -80.00dBc      -40.00U

  5.001  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1010.7 MHz
  5.002  TSET         TDESC = 1 GHz / 1.0107 GHz
  5.003  MATH         @SWPG_Freq = "1.0107 GHz"
  5.004  CALL         Sub Apply /SWPG
  5.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
  5.006  HEAD         -2 1 GHz Spurious Response (100 Hz Span): 1010.7 MHz
  5.007  TARGET       -m
  5.008  CALL         Sub Agilent ESA/PSA Take Sweep Only
  5.009  SCPI         CALC:MARK:Y?[I]
  5.010  ACC          dBc            M1U
  5.011  MEMCX        -80.00dBc      -40.00U

  6.001  LABEL        5_GHz:5160.7_MHz:START
  6.002  MATH         @SWPG_Freq = "5 GHz"; @SWPG_Ampl = "-14dBm"
  6.003  CALL         Sub Apply /SWPG
  6.004  SCPI         FREQ:CENT 5E+9;:DISP:WIND:TRAC:Y:RLEV -20
  6.005  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
  6.006  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

  6.007  HEAD         -2 Setting UUT 5 GHz, -20 dBm reference level...
  6.008  MATH         @CenterFreq = 5E+9; @RefLvl = -20; @TestLvl = -14
  6.009  MATH         @LoLimit = -20.02; @HiLimit = -19.98
  6.010  CALL         Sub Level Signal /4418,8481,SWPG

  6.011  IF           @Error
  6.012  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  7.001  MATH         @Error = 0
  7.002  END
  7.003  ENDIF

  7.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.6
  7.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  7.006  MATH         @RefUncPct = @LevelUncPct
  7.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  7.008  SCPI         CALC:MARK:MODE DELTA

  7.009  JMPL         5_GHz:5160.7_MHz:CONTINUE
  7.010  TARGET       -p
  7.011  JMPL         5_GHz:5160.7_MHz:START

  7.012  LABEL        5_GHz:5160.7_MHz:CONTINUE
  7.013  HEAD         -2 5 GHz Spurious Response (100 Hz Span): 5160.7 MHz
  7.014  TSET         TDESC = 5 GHz / 5.1607 GHz
  7.015  SCPI         DISP:WIND:TRAC:Y:RLEV -30
  7.016  MATH         @SWPG_Freq = "5.1607 GHz"
  7.017  CALL         Sub Apply /SWPG
  7.018  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
  7.019  HEAD         -2 5 GHz Spurious Response (100 Hz Span): 5160.7 MHz
  7.020  TARGET       -m
  7.021  CALL         Sub Agilent ESA/PSA Take Sweep Only
  7.022  SCPI         CALC:MARK:Y?[I]
  7.023  ACC          dBc            M1U
  7.024  MEMCX        -80.00dBc      -40.00U

  8.001  RSLT         =
  8.002  RSLT         =Span: 20 kHz
  8.003  TARGET       -p

  8.004  LABEL        1_GHz:985.0_MHz:START
  8.005  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 985.0 MHz
  8.006  MATH         @SWPG_Freq = "1 GHz"; @SWPG_Ampl = "-4dBm"
  8.007  CALL         Sub Apply /SWPG
  8.008  SCPI         SYST:PRES
  8.009  SCPI         FREQ:CENT 1E+9;SPAN 20E+3;:DISP:WIND:TRAC:Y:RLEV -10
  8.010  SCPI         POW:RF:ATT 0;:DET:AUTO ON;:BWID:RES 1E+3;:AVER:COUN 5
  8.011  SCPI         SWE:TIME:AUTO:RUL ACC;:SWE:TYPE:AUTO:RUL DRAN
  8.012  SCPI         ROSC:OUTP ON;:INIT:CONT OFF;:AVER:STAT ON
  8.013  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

  8.014  HEAD         -2 Setting UUT 1 GHz, -10 dBm reference level...
  8.015  MATH         @CenterFreq = 1E+9; @RefLvl = -10; @TestLvl = -10
  8.016  MATH         @LoLimit = -10.02; @HiLimit = -9.98
  8.017  MATH         @TestName = "Input Spurs (20 kHz)"
  8.018  CALL         Sub Level Signal /4418,8481,SWPG

  8.019  IF           @Error
  8.020  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  9.001  MATH         @Error = 0
  9.002  END
  9.003  ENDIF

  9.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.2
  9.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  9.006  MATH         @RefUncPct = @LevelUncPct
  9.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  9.008  SCPI         CALC:MARK:MODE DELTA

  9.009  JMPL         1_GHz:985.0_MHz:CONTINUE
  9.010  TARGET       -p
  9.011  JMPL         1_GHz:985.0_MHz:START

  9.012  LABEL        1_GHz:985.0_MHz:CONTINUE
  9.013  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 985.0 MHz
  9.014  TSET         TDESC = 1 GHz / 985.0 MHz
  9.015  MATH         @SWPG_Freq = "985 MHz"
  9.016  CALL         Sub Apply /SWPG
  9.017  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
  9.018  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 985.0 MHz
  9.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
  9.020  TARGET       -m
  9.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  9.022  SCPI         CALC:MARK:Y?[I]
  9.023  ACC          dBc            M1U
  9.024  MEMCX        -80.00dBc      -50.00U

 10.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1042.8 MHz
 10.002  TSET         TDESC = 1 GHz / 1.0428 GHz
 10.003  MATH         @SWPG_Freq = "1.0428 GHz"
 10.004  CALL         Sub Apply /SWPG
 10.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 10.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1042.8 MHz
 10.007  TARGET       -m
 10.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 10.009  SCPI         CALC:MARK:Y?[I]
 10.010  ACC          dBc            M1U
 10.011  MEMCX        -80.00dBc      -50.00U

 11.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1642.8 MHz
 11.002  TSET         TDESC = 1 GHz / 1.6428 GHz
 11.003  MATH         @SWPG_Freq = "1.6428 GHz"
 11.004  CALL         Sub Apply /SWPG
 11.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 11.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 1642.8 MHz
 11.007  TARGET       -m
 11.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 11.009  SCPI         CALC:MARK:Y?[I]
 11.010  ACC          dBc            M1U
 11.011  MEMCX        -80.00dBc      -50.00U

 12.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 3921.4 MHz
 12.002  TSET         TDESC = 1 GHz / 3.9214 GHz
 12.003  MATH         @SWPG_Freq = "3.9214 GHz"
 12.004  CALL         Sub Apply /SWPG
 12.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 12.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 3921.4 MHz
 12.007  TARGET       -m
 12.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 12.009  SCPI         CALC:MARK:Y?[I]
 12.010  ACC          dBc            M1U
 12.011  MEMCX        -80.00dBc      -50.00U

 13.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 8842.8 MHz
 13.002  TSET         TDESC = 1 GHz / 8.8428 GHz
 13.003  MATH         @SWPG_Freq = "8.8428 GHz"
 13.004  CALL         Sub Apply /SWPG
 13.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 13.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 8842.8 MHz
 13.007  TARGET       -m
 13.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 13.009  SCPI         CALC:MARK:Y?[I]
 13.010  ACC          dBc            M1U
 13.011  MEMCX        -80.00dBc      -50.00U

 14.001  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 321.4 MHz
 14.002  TSET         TDESC = 1 GHz / 321.4 MHz
 14.003  MATH         @SWPG_Freq = "321.4 MHz"
 14.004  CALL         Sub Apply /SWPG
 14.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 14.006  HEAD         -2 1 GHz Spurious Response (20 kHz Span): 321.4 MHz
 14.007  TARGET       -m
 14.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 14.009  SCPI         CALC:MARK:Y?[I]
 14.010  ACC          dBc            M1U
 14.011  MEMCX        -80.00dBc      -50.00U

 15.001  LABEL        5_GHz:5642.8_MHz:START
 15.002  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 5642.8 MHz
 15.003  MATH         @SWPG_Freq = "5 GHz"; @SWPG_Ampl = "-4dBm"
 15.004  CALL         Sub Apply /SWPG
 15.005  SCPI         FREQ:CENT 5E+9;:DISP:WIND:TRAC:Y:RLEV -10
 15.006  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
 15.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 15.008  HEAD         -2 Setting UUT 5 GHz, -10 dBm reference level...
 15.009  MATH         @CenterFreq = 5E+9; @RefLvl = -10; @TestLvl = -10
 15.010  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 15.011  CALL         Sub Level Signal /4418,8481,SWPG

 15.012  IF           @Error
 15.013  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 16.001  MATH         @Error = 0
 16.002  END
 16.003  ENDIF

 16.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.6
 16.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 16.006  MATH         @RefUncPct = @LevelUncPct
 16.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 16.008  SCPI         CALC:MARK:MODE DELTA

 16.009  JMPL         5_GHz:5642.8_MHz:CONTINUE
 16.010  TARGET       -p
 16.011  JMPL         5_GHz:5642.8_MHz:START

 16.012  LABEL        5_GHz:5642.8_MHz:CONTINUE
 16.013  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 5642.8 MHz
 16.014  TSET         TDESC = 5 GHz / 5.6428 GHz
 16.015  MATH         @SWPG_Freq = "5.6428 GHz"
 16.016  CALL         Sub Apply /SWPG
 16.017  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 16.018  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 5642.8 MHz
 16.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 16.020  TARGET       -m
 16.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 16.022  SCPI         CALC:MARK:Y?[I]
 16.023  ACC          dBc            M1U
 16.024  MEMCX        -80.00dBc      -50.00U

 17.001  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 10321.4 MHz
 17.002  TSET         TDESC = 5 GHz / 10.3214 GHz
 17.003  MATH         @SWPG_Freq = "10.3214 GHz"
 17.004  CALL         Sub Apply /SWPG
 17.005  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 17.006  HEAD         -2 5 GHz Spurious Response (20 kHz Span): 10321.4 MHz
 17.007  TARGET       -m
 17.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 17.009  SCPI         CALC:MARK:Y?[I]
 17.010  ACC          dBc            M1U
 17.011  MEMCX        -80.00dBc      -50.00U

 18.001  IF           @E4445A

 18.002  LABEL        10_GHz:10642.8_MHz:START
 18.003  HEAD         -2 10 GHz Spurious Response (20 kHz Span): 10642.8 MHz
 18.004  MATH         @SWPG_Freq = "10 GHz"; @SWPG_Ampl = "-4dBm"
 18.005  CALL         Sub Apply /SWPG
 18.006  SCPI         FREQ:CENT 10E+9;:DISP:WIND:TRAC:Y:RLEV -10
 18.007  SCPI         CALC:MARK:STAT OFF;:POW:PCEN
 18.008  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)

 18.009  HEAD         -2 Setting UUT 10 GHz, -10 dBm reference level...
 18.010  MATH         @CenterFreq = 10E+9; @RefLvl = -10; @TestLvl = -10
 18.011  MATH         @LoLimit = -10.02; @HiLimit = -9.98
 18.012  CALL         Sub Level Signal /4418,8481,SWPG

 18.013  IF           @Error
 18.014  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 19.001  MATH         @Error = 0
 19.002  END
 19.003  ENDIF

 19.004  MATH         @TestFreq = @CenterFreq
 19.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 19.006  MATH         @RefUncPct = @LevelUncPct
 19.007  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 19.008  SCPI         CALC:MARK:MODE DELTA

 19.009  JMPL         10_GHz:10642.8_MHz:CONTINUE
 19.010  TARGET       -p
 19.011  JMPL         10_GHz:10642.8_MHz:START

 19.012  LABEL        10_GHz:10642.8_MHz:CONTINUE
 19.013  HEAD         -2 10 GHz Spurious Response (20 kHz Span): 10642.8 MHz
 19.014  TSET         TDESC = 10 GHz / 10.6428 GHz
 19.015  MATH         @SWPG_Freq = "10.6428 GHz"
 19.016  CALL         Sub Apply /SWPG
 19.017  CALL         Sub PSA Set Spur Response Test Level /4418,8481,SWPG
 19.018  HEAD         -2 10 GHz Spurious Response (20 kHz Span): 10642.8 MHz
 19.019  SCPI         DISP:WIND:TRAC:Y:RLEV -30
 19.020  TARGET       -m
 19.021  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 19.022  SCPI         CALC:MARK:Y?[I]
 19.023  ACC          dBc            M1U
 19.024  MEMCX        -80.00dBc      -50.00U
 20.001  ENDIF        ; @E4440A || @E4445A

 20.002  HEAD         -2
 20.003  CALL         Sub Initialize /SWPG
 20.004  CALL         Sub Reset /SWPG
 20.005  4418         *                                                 S
 20.006  HEAD
 20.007  SCPI         ROSC:OUTP OFF;:SYST:PRES
 20.008  END

 20.009  EVAL   Increment Test Number

# =====  Sub PSA (2 yr) Freq Response VER /4418,8481,SWPG  =================

 21.001  LABEL        FREQ_RESPONSE
 21.002  CALL         Sub HP 8481A Zero and Cal /4418

 21.003  RSLT         =
 21.004  HEAD         {FREQUENCY RESPONSE ABOVE 3 GHz}
 21.005  RSLT         = -10 dBm input level
 21.006  TARGET       -p
 21.007  HEAD         -2 Initial Setup
 21.008  MATH         @Preamp = 0
 21.009  PIC          psa_freq_resp_a_11667a_swpg.jpg

 21.010  DISP         Ensure the UUT 10 MHz REF OUT (rear) is connected to
 21.010  DISP         the [V @SWPG_DevName] [V @SWPG_RefIn].

 21.011  HEAD         -2 Setting 50 MHz reference level...
 21.012  SCPI         SYST:PRES
 21.013  SCPI         CAL:AUTO OFF;:ROSC:OUTP ON
 21.014  MATH         @SWPG_Freq = "50MHz"; @SWPG_Ampl = "-4dBm"
 21.015  MATH         @SWPG_ROSC = "Ext"
 21.016  CALL         Sub Apply /SWPG
 21.017  SCPI         FREQ:CENT 50E+6;SPAN 2E+3;:BWID:RES 3E+3;:INP:COUP DC

 21.018  IF           @Opt_1DS || @Opt_110
# Ensure preamp (if equipped) is turned off.
 21.019  SCPI         POW:GAIN OFF
 21.020  ENDIF

 21.021  SCPI         DISP:WIND:TRAC:Y:RLEV -5;PDIV 1;:POW:RF:ATT 10
 21.022  SCPI         SWE:TIME:AUTO:RUL ACC;:INIT:CONT OFF
 21.023  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 21.024  MATH         @CenterFreq = 50E+6; @RefLvl = -10; @TestLvl = -4
 21.025  MATH         @LoLimit = -10.05; @HiLimit = -9.95
 21.026  MATH         @TestName = "Frequency Response"
 21.027  CALL         Sub Level Signal /4418,8481,SWPG

 21.028  IF           @Error
 21.029  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 22.001  MATH         @Error = 0
 22.002  END
 22.003  ENDIF

 22.004  MATH         @RefPower = MEM
 22.005  MATH         @DevName1       = "Agilent E4418B"
 22.006  MATH         @SensorAccMode  = "Watts 100mW F64"
 22.007  MATH         @SensorSWR_Mode = "SWR 8481A"
 22.008  MATH         @DevName2       = "Agilent 11667A"
 22.009  MATH         @SpltrSWR_Mode  = "Output SWR"
 22.010  MATH         @SpltrTrackMode = "Tracking"
 22.011  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.07
 22.012  CALL         Sub Compute Power Splitter Leveling Uncertainty
 22.013  MATH         @RefUncPct = @LevelUncPct
 22.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 22.015  SCPI         CALC:MARK:MODE DELTA
# Desired reference level set in relative dB due to use of UUT delta marker.
 22.016  MATH         @PreampOn = 0; @RefLvl  = 0; @TestLvl = -4
 22.017  MATH         @LoLimit = -0.02; @HiLimit = 0.02
 22.018  CALL         Sub PSA µW Frequency Response Tests /4418,8481,SWPG

 22.019  HEAD         -2
 22.020  CALL         Sub Initialize /SWPG
 22.021  CALL         Sub Reset /SWPG
 22.022  SCPI         CAL:AUTO ON;:ROSC:OUTP OFF
 22.023  HEAD
 22.024  SCPI         SYST:PRES
 22.025  END

 22.026  EVAL   Increment Test Number

# =====  Sub PSA (2 yr) 2nd Harmonic Dist VER /4418,8481,SWPG  =============

 23.001  LABEL        2nd_HARMONIC
 23.002  HEAD         SECOND HARMONIC DISTORTION (-11 dBm Mixer Level)

 23.003  LABEL        2nd_HARMONIC_START
 23.004  MATH         @CenterFreq = 3.1E+9
 23.005  HEAD         -2 Set UUT Fundamental reference level: 3100 MHz
 23.006  SCPI         SYST:PRES
 23.007  SCPI         CAL:AUTO OFF;:ROSC:OUTP ON
 23.008  SCPI         FREQ:CENT 3.1E+9;SPAN 10E+3;:DISP:WIND:TRAC:Y:RLEV 0
 23.009  SCPI         DISP:WIND:TRAC:Y:PDIV 15;:POW:RF:ATT 10;:BWID:RES 1E+3
 23.010  SCPI         ROSC:OUTP ON;:SWE:TIME:AUTO:RUL ACC;:INIT:CONT OFF
 23.011  MATH         @SWPG_Freq = "3.1 GHz"; @SWPG_Ampl = "6dBm"
 23.012  MATH         @SWPG_ROSC = "Ext"
 23.013  CALL         Sub Apply /SWPG
 23.014  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 23.015  SCPI         CALC:MARK:Y?[I]
 23.016  MATH         @CenterFreq = 3.1E+9; @RefLvl = -1; @TestLvl = 6
 23.017  MATH         @LoLimit = -1.02; @HiLimit = -0.98
 23.018  MATH         @TestName = "3100 MHz Harmonics"
 23.019  CALL         Sub Level Signal /4418,8481,SWPG

 23.020  IF           @Error
 23.021  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 24.001  MATH         @Error = 0
 24.002  END
 24.003  ENDIF

 24.004  JMPL         3.1_GHz_REFERENCE
 24.005  TARGET       -p
 24.006  JMPL         2nd_HARMONIC_START

 24.007  LABEL        3.1_GHz_REFERENCE
 24.008  MATH         @RefPower       = MEM; @FundLvl = @TestLvl
 24.009  MATH         @DevName1       = "Agilent E4418B"
 24.010  MATH         @SensorAccMode  = "Watts 100mW F64"
 24.011  MATH         @SensorSWR_Mode = "SWR 8481A"
 24.012  MATH         @DevName2       = "Agilent 11667A"
 24.013  MATH         @SpltrSWR_Mode  = "Output SWR"
 24.014  MATH         @SpltrTrackMode = "Tracking"
 24.015  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.2
 24.016  CALL         Sub Compute Power Splitter Leveling Uncertainty
 24.017  MATH         M[1] = @LevelUncPct
 24.018  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 24.019  SCPI         CALC:MARK:MODE DELTA

 24.020  HEAD         -2 Measure UUT frequency response: 6200 MHz
 24.021  MATH         @TestFreq = @CenterFreq * 2
# Tune the UUT to the frequency of the second harmonic.
 24.022  SCPI         FREQ:CENT [V @TestFreq]
 24.023  MATH         @SWPG_Freq = @TestFreq & "Hz"
 24.024  CALL         Sub Apply /SWPG
 24.025  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
 24.026  SCPI         CALC:MARK:Y?[I]
# Adjust generator output for the same relative indication as fundamental.
 24.027  MATH         @TestName = "2nd Harmonic: " & @TestFreq & " MHz"
 24.028  MATH         @RefLvl = 0; @LoLimit = -0.02; @HiLimit = +0.02

 24.029  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
 24.030  CALL         Sub PSA Set Ref Level (Log) /SWPG
 24.031  ENDW

 24.032  IF           @Error
 24.033  EVAL   -e 0 : An error occurred during the [V @TestName].
 25.001  MATH         @Error = 0
 25.002  END
 25.003  ENDIF

 25.004  JMPL         6.2_GHz_RESPONSE
 25.005  TARGET       -p
 25.006  JMPL         2nd_HARMONIC_START

 25.007  LABEL        6.2_GHz_RESPONSE
# Compute the (UUT) frequency response error at the second harmonic.
 25.008  MATH         MEM = @TestFreq
 25.009  4418         -1.00D                       H                 RF N  CH1
 25.010  MATH         @FreqRespErr = MEM - @RefPower
 25.011  CALL         Sub Compute Power Splitter Leveling Uncertainty
 25.012  MATH         M[2]        = @LevelUncPct
# Retrieve Power Splitter (output port) SWR at test frequency.
 25.013  MATH         @SourceSWR  = ACCV(@DevName2, @SpltrSWR_Mode, @TestFreq)
 25.014  MATH         @LoadSWR    = @UUT_SWR
# Compute normalized mismatch uncertainty (Splitter to Sensor), Port 1.
 25.015  CALL         Sub Compute Mismatch Uncertainty (%)
 25.016  MATH         M[3]        = @MismatchUncPct
# UUT Display Scale Fidelity specification (normalized).
 25.017  MATH         M[4]        = DBTOPCTW_D(0.13) / 3
 25.018  MATH         TestUncLin  = RSS(1, 4) * 2
 25.019  MATH         @TestUncLog = PCTTODBW_D(TestUncLin)

 25.020  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
 25.021  DISP         INSERT (2) 4.4 GHz Low Pass Filters in SERIES between
 25.021  DISP         [V @SWPG_DevName] [V @SWPG_Output] and Power Splitter
 25.021  DISP         input port.
 25.021  DISP
 25.021  DISP         NOTE: Support the Power Sensor/Splitter/Low Pass Filter
 25.021  DISP         connections to avoid placing undue stress on the UUT
 25.021  DISP         RF INPUT 50 Ohms connector.

 25.022  JMPL         2nd_HARMONIC_TEST
 25.023  TARGET       -p
 25.024  DISP         REMOVE the (2) 4.4 GHz Low Pass Filters from the test
 25.024  DISP         setup, connecting the [V @SWPG_DevName] [V @SWPG_Output]
 25.024  DISP         DIRECTLY to the Power Splitter input port.
 25.025  JMPL         2nd_HARMONIC_START

 25.026  LABEL        2nd_HARMONIC_TEST
 25.027  HEAD         -2 Measure UUT 2nd Harmonic distortion: 6200 MHz
 25.028  TSET         TDESC = 3100 MHz
 25.029  MATH         @SWPG_Freq = "3.1 GHz"; @SWPG_Ampl = @FundLvl & "dBm"
 25.030  CALL         Sub Apply /SWPG
 25.031  SCPI         AVER:COUNT 10;STAT ON
 25.032  TARGET       -m
 25.033  CALL         Sub Agilent ESA/PSA Take Sweep Only
 25.034  SCPI         CALC:MARK:MAX
 25.035  SCPI         CALC:MARK:Y?[I]
 25.036  MATH         MEM = MEM + @FreqRespErr; L[1] = @TestUncLog
 25.037  ACC          dBc            L1U                                   +DW
 25.038  MEMCX        -95.0dBc       0.0U -55.0U

 26.001  HEAD         -2
 26.002  CALL         Sub Initialize /SWPG
 26.003  CALL         Sub Reset /SWPG
 26.004  HEAD
 26.005  SCPI         CAL:AUTO ON;:ROSC:OUTP OFF;:SYST:PRES
 26.006  END
