﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Second Harmonic Distortion Test /9640
DATE:                  2014-12-16 17:49:36
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 9827 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       133
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        E444xA series
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Additional Equipment Required:
#        Filter, Low Pass, 1.8 GHz, 50 Ohms, Rejection at 3.6 GHz: >45 dB,
#          2 ea.; Agilent 0955-0491 or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         FreqHz = BASE(@Freq); DevName = @9640DevName
  1.002  MATH         AccMode = @AccModeLevel50

  1.003  HEAD         -2 Fundamental Frequency: [V @Freq]
  1.004  TSET         TDESC = [V @Freq]
  1.005  SCPI         AVER:STAT OFF;:CALC:MARK:STAT OFF

  1.006  HEAD         -2 Set UUT Fundamental reference level: [V @Freq]
  1.007  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  1.007  9640         +Level = -1 dBm; Frequency = [V FreqHz] Hz
  1.008  SCPI         FREQ:CENT [V FreqHz];SPAN 10E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.009  SCPI         DISP:WIND:TRAC:Y:PDIV 15;:POW:RF:ATT 10;:BWID:RES 1E+3
  1.010  SCPI         SWE:TIME:AUTO:RUL ACC
# Preset generator output for fundamental reference.
  1.011  MATH         @TestName = "2nd Harmonic: " & @Freq
  1.012  MATH         @9640Freq = FreqHz; @PSA_RefLvl = -1
  1.013  MATH         @9640Lvl = @PSA_RefLvl
  1.014  MATH         @HiLimit = @PSA_RefLvl + 0.02
  1.015  MATH         @LoLimit = @PSA_RefLvl - 0.02
  1.016  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]

  1.017  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
  1.018  CALL         Sub PSA Set Ref Level (Log) /9640
  1.019  ENDW

  1.020  IF           @Error
  1.021  EVAL   -e 0 : An error occurred during the [V @TestName].
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

# Amplitude accuracy of 9640A at fundamental frequency.
  2.004  MATH         M[1] = ACCVF2(DevName, AccMode, @9640Lvl, FreqHz)
  2.005  MATH         M[1] = (DBTOPCTW_D(M[1])) / CONF(DevName)
# Retrieve 9640A output SWR at fundamental frequency.
  2.006  MATH         @SourceSWR = ACCVF(DevName, "VSWR 50", FreqHz)
  2.007  MATH         @MismatchUncPct = MISMATCHSWR(@SourceSWR, @LoadSWR)
  2.008  MATH         M[2] = @MismatchUncPct
  2.009  MATH         RefLvl = @9640Lvl
  2.010  SCPI         CALC:MARK:MODE DELTA
  2.011  MATH         HarmFreqHz = FreqHz * 2; HarmFreqMHz = HarmFreqHz / 1E+6

  2.012  HEAD         -2 Measure UUT frequency response: [V HarmFreqMHz] MHz
# Tune the UUT to the frequency of the second harmonic.
  2.013  SCPI         FREQ:CENT [V HarmFreqHz]
  2.014  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  2.014  9640         +Level = -1 dBm; Freq = [V HarmFreqHz] Hz
  2.015  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
# Adjust generator output for the same relative indication as fundamental.
  2.016  MATH         @TestName = "2nd Harmonic: " & HarmFreqMHz & " MHz"
  2.017  MATH         @9640Freq = HarmFreqHz; @PSA_RefLvl = 0
  2.018  MATH         @9640Lvl = @PSA_RefLvl
  2.019  MATH         @HiLimit = @PSA_RefLvl + 0.02
  2.020  MATH         @LoLimit = @PSA_RefLvl - 0.02

  2.021  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
  2.022  CALL         Sub PSA Set Ref Level (Log) /9640
  2.023  ENDW

  2.024  IF           @Error
  2.025  EVAL   -e 0 : An error occurred during the [V @TestName].
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

# Amplitude accuracy of 9640A at harmonic frequency.
  3.004  MATH         M[3] = ACCVF2(DevName, AccMode, @9640Lvl, HarmFreqHz)
  3.005  MATH         M[3] = (DBTOPCTW_D(M[3])) / CONF(DevName)
# Retrieve 9640A output SWR at harmonic frequency.
  3.006  MATH         @SourceSWR = ACCVF(DevName, "VSWR 50", HarmFreqHz)

  3.007  IF           HarmFreqHz > 3E+9
  3.008  MATH         @LoadSWR = 1.6
  3.009  ENDIF

  3.010  MATH         @MismatchUncPct = MISMATCHSWR(@SourceSWR, @LoadSWR)
  3.011  MATH         M[4] = @MismatchUncPct
# Display Scale Fidelity specification of UUT (normalized).
  3.012  MATH         M[5] = DBTOPCTW_D(0.13) / 3
# Compute combined expanded uncertainty and convert to log units.
  3.013  MATH         M[6] = PCTTODBW_D(RSS(1, 5) * 2)

# Compute the (UUT) frequency response error at the second harmonic.
  3.014  MATH         @FreqRespErr = @9640Lvl - RefLvl

  3.015  IF           FreqHz > 1.5E+9
  3.016  9640         Standby

  3.017  IF           ZCMPI(@AlertMode, "Beep")
  3.018  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  3.019  HEAD         -2
  3.020  ENDIF

  3.021  DISP         INSERT two (2) 1.8 GHz Low Pass Filters IN SERIES
  3.021  DISP         between the [V @9640DevName] Leveling Head and the
  3.021  DISP         UUT RF INPUT 50 Ohms.
  3.022  ENDIF

  3.023  HEAD         -2 Measure UUT 2nd Harmonic distortion: [V @Freq]
  3.024  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  3.024  9640         +Level = [V RefLvl] dBm; Freq = [V FreqHz] Hz
  3.025  SCPI         AVER:COUNT 10;STAT ON
  3.026  END
