﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA Add'l Equipment Minimum Use Requirements
DATE:                  2011-12-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       317
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        E4440A, E4443A, E4445A
#
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @E4440A
  1.002  MATH         Limit = 26.5
  1.003  ELSEIF       @E4445A
  1.004  MATH         Limit = 13.2
  1.005  ELSE
  1.006  MATH         Limit = 6.7
  1.007  ENDIF

  1.008  HEAD         FLEXIBLE STANDARDS
  1.009  MATH         @Abort = 0; LF = @LFCTR_Ch1

  1.010  IF           @E4440A
  1.011  DISP         The minimum use specifications of the following devices,
  1.011  DISP         configured as flexible standards, must be satisfied.
  1.011  DISP
  1.011  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.011  DISP
  1.011  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.011  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.011  DISP         [32]µW Signal Generator UWSG   [V @UWSG_DevName]

  1.012  ELSE

  1.013  DISP         The minimum use specifications of the following devices,
  1.013  DISP         configured as flexible standards, must be satisfied.
  1.013  DISP
  1.013  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.013  DISP
  1.013  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.013  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  1.013  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  1.014  ENDIF

  1.015  HEAD         -2 (Synthesized) Sweep Generator (SWPG)
  1.016  OPBR         -z SWPG: [V @SWPG_DevName]
  1.016  OPBR
  1.016  OPBR         Minimum Use Specifications:
  1.016  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.016  OPBR         [32]   Accuracy:
  1.016  OPBR         [32]     Internal: ±1 ppm or better
  1.016  OPBR         [32]     External: Capable of being locked to an
  1.016  OPBR         [32]               external reference
  1.016  OPBR         [32]   Resolution: 1 Hz
  1.016  OPBR
  1.016  OPBR         [32] Amplitude Range: -20 dBm to +16 dBm
  1.016  OPBR         [32]   Accuracy: ±1 dB or less
  1.016  OPBR         [32]   Resolution: 0.01 dB
  1.016  OPBR
  1.016  OPBR         [32] Harmonic Level:
  1.016  OPBR         [32]   < -30 dBc
  1.016  OPBR
  1.016  OPBR         Does the [V @SWPG_DevName] satisfy the above Minimum
  1.016  OPBR         Use Specifications?[NO]
  1.017  MATH         @SWPG = MEM1

  1.018  IF           @E4440A
  1.019  HEAD         -2 µW Signal Generator (UWSG)
  1.020  OPBR         -z UWSG: [V @UWSG_DevName]
  1.020  OPBR
  1.020  OPBR         Minimum Use Specifications:
  1.020  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.020  OPBR         [32]   Accuracy:
  1.020  OPBR         [32]     Internal: ±1 ppm or better
  1.020  OPBR         [32]     External: Capable of being locked to an
  1.020  OPBR         [32]               external reference
  1.020  OPBR         [32]   Resolution: 1 Hz
  1.020  OPBR
  1.020  OPBR         [32] Amplitude Range: -20 dBm to +13 dBm
  1.020  OPBR         [32]   Accuracy: ±1 dB or less
  1.020  OPBR         [32]   Resolution: 0.01 dB
  1.020  OPBR
  1.020  OPBR         [32] Harmonic Level:
  1.020  OPBR         [32]   < -30 dBc
  1.020  OPBR
  1.020  OPBR         Does the [V @UWSG_DevName] satisfy the above Minimum
  1.020  OPBR         Use Specifications?[NO]

  1.021  ELSE

  1.022  HEAD         -2 Local Oscillator (LO)
  1.023  OPBR         -z LO: [V @LO_DevName]
  1.023  OPBR
  1.023  OPBR         Minimum Use Specifications:
  1.023  OPBR         [32] Frequency Range: 10 MHz to [V Limit] GHz, CW
  1.023  OPBR         [32]   Accuracy:
  1.023  OPBR         [32]     Internal: ±1 ppm or better
  1.023  OPBR         [32]     External: Capable of being locked to an
  1.023  OPBR         [32]               external reference
  1.023  OPBR         [32]   Resolution: 1 Hz
  1.023  OPBR
  1.023  OPBR         [32] Amplitude Range: -20 dBm to +13 dBm
  1.023  OPBR         [32]   Accuracy: ±1 dB or less
  1.023  OPBR         [32]   Resolution: 0.01 dB
  1.023  OPBR
  1.023  OPBR         [32] Harmonic Level:
  1.023  OPBR         [32]   < -30 dBc
  1.023  OPBR
  1.023  OPBR         Does the [V @LO_DevName] satisfy the above Minimum
  1.023  OPBR         Use Specifications?[NO]
  1.024  ENDIF

  1.025  MATH         SigGen = MEM1

  1.026  HEAD         -2 LF Counter (LFCTR)
  1.027  OPBR         -z LFCTR: [V @LFCTR_DevName]
  1.027  OPBR
  1.027  OPBR         Minimum Use Specifications:
  1.027  OPBR         [32] [V LF] Frequency Range: 10 MHz
  1.027  OPBR         [32]   Accuracy: ±0.045 ppm or better
  1.027  OPBR
  1.027  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.027  OPBR         Use Specifications?[NO]
  1.028  MATH         @LFCTR = MEM1

  1.029  HEAD         -2

  1.030  IF           NOT(@SWPG)
  1.031  DISP         Currently configured SWPG (Sweep Generator):
  1.031  DISP
  1.031  DISP         [32][V @SWPG_DevName]
  1.031  DISP
  1.031  DISP         does not satisfy procedure Minimum Use Specifications.
  1.032  ENDIF

  1.033  IF           NOT(@LFCTR)
  1.034  DISP         Currently configured LFCTR (LF Counter):
  1.034  DISP
  1.034  DISP         [32][V @LFCTR_DevName]
  1.034  DISP
  1.034  DISP         does not satisfy procedure Minimum Use Specifications.
  1.035  ENDIF

  1.036  IF           NOT(SigGen)

  1.037  IF           @E4440A
  1.038  DISP         Currently configured UWSG (µW Signal Generator):
  1.038  DISP
  1.038  DISP         [32][V @UWSG_DevName]
  1.038  DISP
  1.038  DISP         does not satisfy procedure Minimum Use Specifications.

  1.039  ELSE

  1.040  DISP         Currently configured LO (Local Oscillator):
  1.040  DISP
  1.040  DISP         [32][V @LO_DevName]
  1.040  DISP
  1.040  DISP         does not satisfy procedure Minimum Use Specifications.
  1.041  ENDIF

  1.042  ENDIF

  1.043  IF           NOT(@SWPG) || NOT(@LFCTR) || NOT(SigGen)
  1.044  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.045  DISP         Flexible Standard(s) currently configured for use with
  1.045  DISP         this procedure have been identified as not satisfying
  1.045  DISP         the Minimum Use Specifications.
  1.045  DISP
  1.045  DISP         Select "Advance" to abort procedure, configure suitable
  1.045  DISP         device(s) to replace those identified, then restart the
  1.045  DISP         procedure from the beginning.
  1.046  MATH         @Abort = 1
  1.047  END
  1.048  ENDIF

  1.049  OPBR         -z Do you want to REVIEW the list of additional
  1.049  OPBR         equipment and/or accessories required?

  1.050  IF           MEM1

  1.051  HEAD         ADDITIONAL EQUIPMENT/ACCESSORIES REQUIRED
  1.052  HEAD         -2 Additional Equipment: Page 1 of 5
  1.053  DISP         Power Splitter:
  1.053  DISP         - Frequency : 3 GHz to [V Limit] GHz
  1.053  DISP         - VSWR, 3 GHz to [V Limit] GHz : <= 1.22
  1.053  DISP         - Tracking Error : < ±0.25 dB
  1.053  DISP         - Impedance : 50 Ohms
  1.053  DISP         - Connectors : 3.5 mm
  1.053  DISP         Agilent® 11667B
  1.053  DISP
  1.053  DISP         Directional Bridge:
  1.053  DISP         - Frequency: 5 MHz to 3 GHz
  1.053  DISP         - Directivity:
  1.053  DISP         [32] <= 5 MHz : 30 dB
  1.053  DISP         [32] 5 MHz to 2 GHz : 40 dB
  1.053  DISP         [32] 2 GHz to 3 GHz : 30 dB
  1.053  DISP         - Impedance : 50 Ohms
  1.053  DISP         Agilent 86205A
  1.053  DISP
  1.053  DISP         Directional Coupler:
  1.053  DISP         - Frequency : 2 GHz to 20 GHz
  1.053  DISP         - Directivity : > 16 dB
  1.053  DISP         - Transmission Arm Loss : < 1.5 dB (nominal)
  1.053  DISP         - Coupled Arm Loss : ~10 dB (nominal)
  1.053  DISP         - VSWR : <= 1.35
  1.053  DISP         - Connectors : SMA
  1.053  DISP         Agilent 87300B

  1.054  HEAD         -2 Additional Equipment: Page 2 of 5
  1.055  DISP         50 MHz Low Pass Filter:
  1.055  DISP         - Rejection at 65 MHz : > 40 dB
  1.055  DISP         - Rejection at 75 MHz : > 60 dB
  1.055  DISP         - Insertion Loss : ~1 dB
  1.055  DISP         - VSWR : < 1.5
  1.055  DISP         Agilent 0955-0306 or equivalent
  1.055  DISP
  1.055  DISP         1.8 GHz Low Pass Filter (2 ea.):
  1.055  DISP         - Rejection, 2.1 GHz to 6 GHz : > 45 dB
  1.055  DISP         - Insertion Loss at 1.8 GHz : < 1 dB
  1.055  DISP         - VSWR : < 1.5, DC to 1.8 GHz
  1.055  DISP         Agilent 0955-0491 or equivalent
  1.055  DISP
  1.055  DISP         4.4 GHz Low Pass Filter (2 ea.):
  1.055  DISP         - Rejection, > 5.5 GHz : > 42 dB
  1.055  DISP         - Insertion Loss at 4.1 GHz : < 1 dB
  1.055  DISP         - VSWR : < 1.5
  1.055  DISP         HP® 360D, Agilent 9135-0005, or equivalent
  1.055  DISP
  1.055  DISP         1 GHz Wide Offset Phase Noise Filter
  1.055  DISP         - Rejection, 10 MHz offset : 15 dB, minimum
  1.055  DISP         Fluke 9600 FLT (no substitute)

  1.056  HEAD         -2 Additional Equipment: Page 3 of 5
  1.057  DISP         10 dB Fixed Attenuator:
  1.057  DISP         - Frequency : 50 MHz to 2 GHz
  1.057  DISP         - VSWR : <= 1.2
  1.057  DISP         - Connectors : Type N (m/f)
  1.057  DISP         Agilent 8491A Opt 010 or equivalent
  1.057  DISP
  1.057  DISP         20 dB Fixed Attenuator:
  1.057  DISP         - Frequency : 50 MHz to [V Limit] GHz
  1.057  DISP         - VSWR : <= 1.1 to 8, 1.15 to 12.4, 1.15 to 26.5 GHz
  1.057  DISP         - Connectors : 3.5 mm (m/f)
  1.057  DISP         Agilent 8493C Opt 020 or equivalent
  1.057  DISP
  1.057  DISP         Termination:
  1.057  DISP         - Frequency : DC to [V Limit] GHz
  1.057  DISP         - Impedance : 50 Ohms
  1.057  DISP         - Connector : Type N (m)
  1.057  DISP         Agilent 909C or equivalent

  1.058  HEAD         -2 Adapters: Page 4 of 5
  1.059  DISP         - Adapter, 3.5 mm (f) - 3.5 mm (f), 50 Ohms, DC to
  1.059  DISP         [32] 34 GHz, VSWR: 1.15; Agilent 1250-1749 or equivalent
  1.059  DISP         - Adapter, 3.5 mm (m) - 3.5 mm (m), 50 Ohms, DC to
  1.059  DISP         [32] 34 GHz, VSWR: 1.15; Agilent 1250-1748 or equivalent
  1.059  DISP         - Adapter, Type N (m) - 3.5 mm (m), 50 Ohms, DC to
  1.059  DISP         [32] 18 GHz, VSWR: 1.08, 3 ea.; Agilent 1250-1743 or
  1.059  DISP         [32] equivalent
  1.059  DISP         - Adapter, Type N (m) - 3.5 mm (f), 50 Ohms, DC to
  1.059  DISP         [32] 18 GHz, VSWR: 1.08; Agilent 1250-1744 or equivalent
  1.059  DISP         - Adapter, Type N (f) - 3.5 mm (f), 50 Ohms, DC to
  1.059  DISP         [32] 18 GHz, VSWR: 1.08; Agilent 1250-1745 or equivalent
  1.059  DISP         - Adapter, Type N (f) - 3.5 mm (m), 50 Ohms, DC to
  1.059  DISP         [32] 18 GHz, VSWR: 1.14; Agilent 1250-1750 or equivalent
  1.059  DISP         - Adapter, Type N (m) - BNC (m), 50 Ohms, DC to 1.3 GHz,
  1.059  DISP         [32] VSWR: 1.13, Agilent 1250-1473 or equivalent
  1.059  DISP         - Adapter, Type N (m) - BNC (f), 50 Ohms, DC to 1.3 GHz,
  1.059  DISP         [32] VSWR: 1.13, Agilent 1250-1476 or equivalent
  1.059  DISP         - Adapter, Type N (m)-(m), 50 Ohms, DC to 18 GHz,
  1.059  DISP         [32] VSWR: 1.13; Agilent 1250-1475 or equivalent
  1.059  DISP         - Adapter, Type N (m) - 3.5 mm (f), 50 Ohms, 50 MHz;
  1.059  DISP         [32] Agilent 08485-60005 (Agilent 8485A standard
  1.059  DISP         [32] accessory; used for power sensor calibration ONLY)

  1.060  HEAD         -2 Adapters: Page 5 of 5
  1.061  DISP         - Tee, BNC (f)-(m)-(f), 50 Ohms; Agilent 1250-0781 or
  1.061  DISP         [32] equivalent
  1.061  DISP
  1.061  DISP         - Cable assy., 3.5 mm (m)-(m), 50 Ohms, 36", DC to
  1.061  DISP         [32] 26.5 GHz, Maximum SWR: <1.4, 2 ea.; Agilent
  1.061  DISP         [32] 8120-4921 or equivalent
  1.061  DISP         - Cable assy., 3.5 mm (m)-(m), 50 Ohms, 24", DC to
  1.061  DISP         [32] 26.5 GHz, Maximum SWR: <1.4, 2 ea.; Agilent 11500E
  1.061  DISP         [32] or equivalent
  1.061  DISP         - Cable assy., BNC (m)-(m), 50 Ohms, 36", 2 ea.
  1.061  DISP         - Cable assy., BNC (m)-(m), 50 Ohm, 6", DC to 300 MHz;
  1.061  DISP         [32] Agilent 10502A or equivalent
  1.062  ENDIF

  1.063  HEAD         -2
  1.064  HEAD
  1.065  END
