﻿Fluke Calibration                                        All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Power Bandwidth Accuracy VER
INSTRUMENT:            Sub PSA (2 yr) Resolution Bandwidth Switching VER
INSTRUMENT:            Sub PSA (2 yr) Residual Responses VER
INSTRUMENT:            Sub PSA (2 yr) Displayed Average Noise Level VER
DATE:                  2016-06-03 09:43:11
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 17682 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       34
NUMBER OF LINES:       780
STANDARD:              50 Ohm Termination
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        PSA series: E4440A, E4443A, E4445A
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         POWER_BANDWIDTH              PSUBI("Power")
  1.002  CALL         Sub PSA Get Questionable Calibration Status

  1.003  IF           @AlignAllReq
  1.004  CALL         Sub PSA Internal Alignment
  1.005  ENDIF

  1.006  JMPL         RBW_SWITCHING                PSUBI("Switching")
  1.007  JMPL         RESIDUAL_RESPONSES           PSUBI("Residual")
  1.008  JMPL         DANL                         PSUBI("Average Noise")
  1.009  DISP         Called {Subprocedure Not Found}!
  1.010  END

  1.011  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Power Bandwidth VER  ===============================

  2.001  LABEL        POWER_BANDWIDTH
  2.002  RSLT         =
  2.003  HEAD         {POWER BANDWIDTH ACCURACY}
  2.004  RSLT         = RBW Setting
  2.005  TARGET
  2.006  MATH         @Connection = "none"
  2.007  CALL         Sub PSA Display Connection

  2.008  IF           @Abort
  2.009  END
  2.010  ENDIF

  2.011  SCPI         SYST:PRES
  2.012  SCPI         INIT:CONT OFF
  2.013  SCPI         FEED AREF;:FREQ:CENT 50E+6;:DISP:WIND:TRAC:Y:RLEV -25
  2.014  SCPI         SWE:TIME:AUTO:RUL ACC;:AVER:COUN 2;STAT ON

  2.015  TOL          0.022U

  2.016  MATH         @RBW = "1 Hz";   @SweepTime = 45
  2.017  CALL         Sub PSA Power Bandwidth Test
  2.018  MATH         @RBW = "3 Hz";   @SweepTime = 20
  2.019  CALL         Sub PSA Power Bandwidth Test

  2.020  SCPI         AVER:COUN 5

  2.021  MATH         @RBW = "10 Hz";  @SweepTime = 5
  2.022  CALL         Sub PSA Power Bandwidth Test
  2.023  MATH         @RBW = "30 Hz";  @SweepTime = 3
  2.024  CALL         Sub PSA Power Bandwidth Test
  2.025  MATH         @RBW = "100 Hz"; @SweepTime = 1.3
  2.026  CALL         Sub PSA Power Bandwidth Test
  2.027  MATH         @RBW = "300 Hz"
  2.028  CALL         Sub PSA Power Bandwidth Test
  2.029  MATH         @RBW = "1 kHz";  @SweepTime = 400E-3
  2.030  CALL         Sub PSA Power Bandwidth Test
  2.031  MATH         @RBW = "3 kHz";  @SweepTime = 200E-3
  2.032  CALL         Sub PSA Power Bandwidth Test
  2.033  MATH         @RBW = "10 kHz"
  2.034  CALL         Sub PSA Power Bandwidth Test
  2.035  MATH         @RBW = "30 kHz"
  2.036  CALL         Sub PSA Power Bandwidth Test
  2.037  MATH         @RBW = "100 kHz"
  2.038  CALL         Sub PSA Power Bandwidth Test
  2.039  MATH         @RBW = "200 kHz"
  2.040  CALL         Sub PSA Power Bandwidth Test

  2.041  TOL          0.066U

  2.042  MATH         @RBW = "300 kHz"
  2.043  CALL         Sub PSA Power Bandwidth Test
  2.044  MATH         @RBW = "1 MHz";  @SweepTime = 400E-3
  2.045  CALL         Sub PSA Power Bandwidth Test

  2.046  HEAD         -2
  2.047  SCPI         SYST:PRES
  2.048  HEAD
  2.049  END

  2.050  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Resolution Bandwidth Switching VER  ================

  3.001  LABEL        RBW_SWITCHING
  3.002  RSLT         =
  3.003  HEAD         {RESOLUTION BANDWIDTH SWITCHING UNCERTAINTY}
  3.004  RSLT         = RBW Setting (30 kHz RBW Reference)
  3.005  MATH         @Connection = "none"

  3.006  JMPL         RBW_SWITCHING_CONTINUE
  3.007  EVAL   Display connection instructions on Repeat/Cancel.
  4.001  MATH         @Connected = ""
  4.002  LABEL        RBW_SWITCHING_CONTINUE

  4.003  CALL         Sub PSA Display Connection

  4.004  IF           @Abort
  4.005  END
  4.006  ENDIF

  4.007  SCPI         SYST:PRES
  4.008  SCPI         INIT:CONT OFF
  4.009  SCPI         FEED AREF;:FREQ:CENT 50E+6;SPAN 100E+3
  4.010  SCPI         DISP:WIND:TRAC:Y:RLEV -23;PDIV 1
  4.011  SCPI         BAND:RES 30E+3;:SWE:TIME:AUTO:RUL ACC
  4.012  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;MODE DELTA

  4.013  HEAD         -2 Resolution Bandwidth: 300 Hz
  4.014  TSET         TDESC = 300 Hz
  4.015  SCPI         FREQ:SPAN 1E+3;:BAND:RES 300
  4.016  TARGET       -m
  4.017  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
# Uncertainty is that of UUT Marker Readout Resolution and floor.
  4.018  ACC          0.00dB         0.003U
  4.019  MEMCX        0.00dB         0.03U

  5.001  HEAD         -2 Resolution Bandwidth: 510 Hz
  5.002  TSET         TDESC = 510 Hz
  5.003  SCPI         FREQ:SPAN 2E+3;:BAND:RES 510
  5.004  TARGET       -m
  5.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
  5.006  ACC          0.00dB         0.003U
  5.007  MEMCX        0.00dB         0.03U

  6.001  HEAD         -2 Resolution Bandwidth: 1 kHz
  6.002  TSET         TDESC = 1 kHz
  6.003  SCPI         FREQ:SPAN 5E+3;:BAND:RES 1E+3
  6.004  TARGET       -m
  6.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
  6.006  ACC          0.00dB         0.003U
  6.007  MEMCX        0.00dB         0.03U

  7.001  HEAD         -2 Resolution Bandwidth: 3 kHz
  7.002  TSET         TDESC = 3 kHz
  7.003  SCPI         FREQ:SPAN 10E+3;:BAND:RES 3E+3
  7.004  TARGET       -m
  7.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
  7.006  ACC          0.00dB         0.003U
  7.007  MEMCX        0.00dB         0.03U

  8.001  HEAD         -2 Resolution Bandwidth: 10 kHz
  8.002  TSET         TDESC = 10 kHz
  8.003  SCPI         FREQ:SPAN 50E+3;:BAND:RES 10E+3
  8.004  TARGET       -m
  8.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
  8.006  ACC          0.00dB         0.002U
  8.007  MEMCX        0.00dB         0.03U

  9.001  HEAD         -2 Resolution Bandwidth: 100 kHz
  9.002  TSET         TDESC = 100 kHz
  9.003  SCPI         FREQ:SPAN 500E+3;:BAND:RES 100E+3
  9.004  TARGET       -m
  9.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
  9.006  ACC          0.00dB         0.002U
  9.007  MEMCX        0.00dB         0.03U

 10.001  HEAD         -2 Resolution Bandwidth: 300 kHz
 10.002  TSET         TDESC = 300 kHz
 10.003  SCPI         FREQ:SPAN 1E+6;:BAND:RES 300E+3
 10.004  TARGET       -m
 10.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 10.006  ACC          0.00dB         0.002U
 10.007  MEMCX        0.00dB         0.03U

 11.001  HEAD         -2 Resolution Bandwidth: 1 MHz
 11.002  TSET         TDESC = 1 MHz
 11.003  SCPI         FREQ:SPAN 5E+6;:BAND:RES 1E+6
 11.004  TARGET       -m
 11.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 11.006  ACC          0.00dB         0.002U
 11.007  MEMCX        0.00dB         0.03U

 12.001  HEAD         -2 Resolution Bandwidth: 1.5 MHz
 12.002  TSET         TDESC = 1.5 MHz
 12.003  SCPI         FREQ:SPAN 5E+6;:BAND:RES 1E+6
 12.004  TARGET       -m
 12.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 12.006  ACC          0.00dB         0.002U
 12.007  MEMCX        0.00dB         0.05U

 13.001  HEAD         -2 Resolution Bandwidth: 2 MHz
 13.002  TSET         TDESC = 2 MHz
 13.003  SCPI         FREQ:SPAN 5E+6;:BAND:RES 2E+6
 13.004  TARGET       -m
 13.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 13.006  ACC          0.00dB         0.002U
 13.007  MEMCX        0.00dB         0.05U

 14.001  HEAD         -2 Resolution Bandwidth: 3 MHz
 14.002  TSET         TDESC = 3 MHz
 14.003  SCPI         FREQ:SPAN 10E+6;:BAND:RES 3E+6
 14.004  TARGET       -m
 14.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 14.006  ACC          0.00dB         0.002U
 14.007  MEMCX        0.00dB         0.05U

 15.001  HEAD         -2 Resolution Bandwidth: 4 MHz
 15.002  TSET         TDESC = 4 MHz
 15.003  SCPI         FREQ:SPAN 20E+6;:BAND:RES 4E+6
 15.004  TARGET       -m
 15.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 15.006  ACC          0.00dB         0.002U
 15.007  MEMCX        0.00dB         1.00U

 16.001  HEAD         -2 Resolution Bandwidth: 5 MHz
 16.002  TSET         TDESC = 5 MHz
 16.003  SCPI         FREQ:SPAN 30E+6;:BAND:RES 5E+6
 16.004  TARGET       -m
 16.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 16.006  ACC          0.00dB         0.002U
 16.007  MEMCX        0.00dB         1.00U

 17.001  HEAD         -2 Resolution Bandwidth: 6 MHz
 17.002  TSET         TDESC = 6 MHz
 17.003  SCPI         FREQ:SPAN 30E+6;:BAND:RES 6E+6
 17.004  TARGET       -m
 17.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 17.006  ACC          0.00dB         0.002U
 17.007  MEMCX        0.00dB         1.00U

 18.001  HEAD         -2 Resolution Bandwidth: 8 MHz
 18.002  TSET         TDESC = 8 MHz
 18.003  SCPI         FREQ:SPAN 40E+6;:BAND:RES 8E+6
 18.004  TARGET       -m
 18.005  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;CENTER;Y?[I]
 18.006  ACC          0.00dB         0.002U
 18.007  MEMCX        0.00dB         1.00U

 19.001  HEAD         -2
 19.002  SCPI         SYST:PRES
 19.003  HEAD
 19.004  END

 19.005  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Residual Responses VER  ============================

 20.001  LABEL        RESIDUAL_RESPONSES
 20.002  RSLT         =
 20.003  HEAD         {RESIDUAL RESPONSES (100 Hz Span)}
 20.004  MATH         @Connection = "termination"

 20.005  JMPL         RESIDUAL_RESPONSES_CONTINUE
 20.006  EVAL   Display connection instructions on Repeat/Cancel.
 21.001  MATH         @Connected = ""
 21.002  LABEL        RESIDUAL_RESPONSES_CONTINUE

 21.003  CALL         Sub PSA Display Connection

 21.004  IF           @Abort
 21.005  END
 21.006  ENDIF

 21.007  STD          50 Ohm Termination

 21.008  HEAD         -2 Center Frequency: 10 MHz
 21.009  TSET         TDESC = 10 MHz
 21.010  SCPI         SYST:PRES
 21.011  SCPI         INIT:CONT OFF
 21.012  SCPI         INP:COUP DC;:FREQ:CENT 10E+6;SPAN 100
 21.013  SCPI         DISP:WIND:TRAC:Y:RLEV -60;:POW:ATT 0;:BAND:RES 1;VID 1
 21.013  SCPI         AVER:COUN 5;STAT ON
 21.014  SCPI         [T90000]INIT:IMM
 21.015  SCPI         SWE:TIME:AUTO:RUL ACC;:COUP ALL;:ADC:DITH AUTO
 21.016  SCPI         DET:FUNC POS
 21.017  TARGET       -m
 21.018  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 21.019  ACC          dBm            0.44U
 21.020  MEMCX        -100.0dBm      -60.00U

 22.001  HEAD         -2 Center Frequency: 100 MHz
 22.002  TSET         TDESC = 100 MHz
 22.003  SCPI         INP:COUP AC;:FREQ:CENT 100E+6
 22.004  TARGET       -m
 22.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 22.006  ACC          dBm            0.44U
 22.007  MEMCX        -100.0dBm      -60.00U

 23.001  HEAD         -2 Center Frequency: 300 MHz
 23.002  TSET         TDESC = 300 MHz
 23.003  SCPI         FREQ:CENT 300E+6
 23.004  TARGET       -m
 23.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 23.006  ACC          dBm            0.44U
 23.007  MEMCX        -100.0dBm      -60.00U

 24.001  HEAD         -2 Center Frequency: 600 MHz
 24.002  TSET         TDESC = 600 MHz
 24.003  SCPI         FREQ:CENT 600E+6
 24.004  TARGET       -m
 24.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 24.006  ACC          dBm            0.44U
 24.007  MEMCX        -100.0dBm      -60.00U

 25.001  HEAD         -2 Center Frequency: 900 MHz
 25.002  TSET         TDESC = 900 MHz
 25.003  SCPI         FREQ:CENT 900E+6
 25.004  TARGET       -m
 25.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 25.006  ACC          dBm            0.44U
 25.007  MEMCX        -100.0dBm      -60.00U

 26.001  HEAD         -2 Center Frequency: 1 GHz
 26.002  TSET         TDESC = 1 GHz
 26.003  SCPI         FREQ:CENT 1E+9
 26.004  TARGET       -m
 26.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 26.006  ACC          dBm            0.44U
 26.007  MEMCX        -100.0dBm      -60.00U

 27.001  HEAD         -2 Center Frequency: 1.2 GHz
 27.002  TSET         TDESC = 1.2 GHz
 27.003  SCPI         FREQ:CENT 1.2E+9
 27.004  TARGET       -m
 27.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 27.006  ACC          dBm            0.44U
 27.007  MEMCX        -100.0dBm      -60.00U

 28.001  HEAD         -2 Center Frequency: 1.8 GHz
 28.002  TSET         TDESC = 1.8 GHz
 28.003  SCPI         FREQ:CENT 1.8E+9
 28.004  TARGET       -m
 28.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 28.006  ACC          dBm            0.44U
 28.007  MEMCX        -100.0dBm      -60.00U

 29.001  HEAD         -2 Center Frequency: 2.7 GHz
 29.002  TSET         TDESC = 2.7 GHz
 29.003  SCPI         FREQ:CENT 2.7E+9
 29.004  TARGET       -m
 29.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 29.006  ACC          dBm            0.44U
 29.007  MEMCX        -100.0dBm      -60.00U

 30.001  HEAD         -2 Center Frequency: 2.9572 GHz
 30.002  TSET         TDESC = 2.9572 GHz
 30.003  SCPI         FREQ:CENT 2.9572E+9
 30.004  TARGET       -m
 30.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 30.006  ACC          dBm            0.44U
 30.007  MEMCX        -100.0dBm      -60.00U

 31.001  HEAD         -2 Center Frequency: 3 GHz
 31.002  TSET         TDESC = 3 GHz
 31.003  SCPI         FREQ:CENT 3E+9
 31.004  TARGET       -m
 31.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 31.006  ACC          dBm            0.44U
 31.007  MEMCX        -100.0dBm      -60.00U

 32.001  HEAD         -2 Center Frequency: 3.6 GHz
 32.002  TSET         TDESC = 3.6 GHz
 32.003  SCPI         FREQ:CENT 3.6E+9
 32.004  TARGET       -m
 32.005  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 32.006  ACC          dBm            1.40U
 32.007  MEMCX        -100.0dBm      -60.00U

 33.001  HEAD         -2
 33.002  SCPI         SYST:PRES
 33.003  HEAD
 33.004  END

 33.005  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Displayed Average Noise Level VER  =================

 34.001  LABEL        DANL
 34.002  RSLT         =
 34.003  HEAD         {DISPLAYED AVERAGE NOISE LEVEL}

 34.004  IF           @Opt_1DS || @Opt_110
 34.005  RSLT         =
 34.006  RSLT         =Preamp Off
 34.007  MATH         @Head = "Center Frequency (Preamp Off)"
 34.008  ELSE
 34.009  MATH         @Head = "Center Frequency"
 34.010  ENDIF

 34.011  MATH         @Connection = "termination"
 34.012  CALL         Sub PSA Display Connection

 34.013  IF           @Abort
 34.014  END
 34.015  ENDIF

 34.016  STD          50 Ohm Termination

 34.017  TARGET
 34.018  SCPI         SYST:PRES
 34.019  SCPI         INIT:CONT OFF
 34.020  SCPI         INP:COUP DC;:DISP:WIND:TRAC:Y:RLEV -70;:POW:ATT 10
 34.021  SCPI         SWE:TIME:AUTO:RUL ACC;:FREQ:CENT 10E+3;SPAN 0
 34.022  SCPI         BAND:RES 1E+3;VID 10;:SWE:TIME 1;:DET:FUNC SAMP
 34.023  SCPI         AVER:COUN 10;TYPE LOG;STAT ON
# Test tolerance for use within the associated subprocedure.
 34.024  MATH         M[1] = 0.07

 34.025  IF           @SN <= 4402
 34.026  MATH         @Nominal = -135
 34.027  TOL          -45.00U
 34.028  ELSE
 34.029  MATH         @Nominal = -137
 34.030  TOL          -43.00U
 34.031  ENDIF

 34.032  MATH         @Freq = "10 kHz"
 34.033  CALL         Sub PSA Displayed Average Noise Level Test
 34.034  MATH         @Freq = "50 kHz"
 34.035  CALL         Sub PSA Displayed Average Noise Level Test
 34.036  MATH         @Freq = "70 kHz"
 34.037  CALL         Sub PSA Displayed Average Noise Level Test
 34.038  MATH         @Freq = "100 kHz"; @Nominal = -145
 34.039  CALL         Sub PSA Displayed Average Noise Level Test

 34.040  TOL          -35.00U

 34.041  MATH         @Freq = "200 kHz"
 34.042  CALL         Sub PSA Displayed Average Noise Level Test
 34.043  MATH         @Freq = "400 kHz"
 34.044  CALL         Sub PSA Displayed Average Noise Level Test
 34.045  MATH         @Freq = "600 kHz"
 34.046  CALL         Sub PSA Displayed Average Noise Level Test

 34.047  TOL          -30.00U

 34.048  MATH         @Freq = "800 kHz"
 34.049  CALL         Sub PSA Displayed Average Noise Level Test
 34.050  MATH         @Freq = "1.00 MHz"
 34.051  CALL         Sub PSA Displayed Average Noise Level Test
 34.052  MATH         @Freq = "9.90 MHz"; @Nominal = -150
 34.053  CALL         Sub PSA Displayed Average Noise Level Test

 34.054  IF           @Opt_110
 34.055  MATH         @Nominal = -153
 34.056  TOL          -27.00U
 34.057  ELSE
 34.058  MATH         @Nominal = -154
 34.059  TOL          -26.00U
 34.060  ENDIF

 34.061  MATH         @Freq = "40.00 MHz"
 34.062  CALL         Sub PSA Displayed Average Noise Level Test
 34.063  MATH         @Freq = "70.00 MHz"
 34.064  CALL         Sub PSA Displayed Average Noise Level Test
 34.065  MATH         @Freq = "102.00 MHz"
 34.066  CALL         Sub PSA Displayed Average Noise Level Test
 34.067  MATH         @Freq = "202.00 MHz"
 34.068  CALL         Sub PSA Displayed Average Noise Level Test
 34.069  MATH         @Freq = "399.80 MHz"
 34.070  CALL         Sub PSA Displayed Average Noise Level Test
 34.071  MATH         @Freq = "599.60 MHz"
 34.072  CALL         Sub PSA Displayed Average Noise Level Test
 34.073  MATH         @Freq = "799.40 MHz"
 34.074  CALL         Sub PSA Displayed Average Noise Level Test
 34.075  MATH         @Freq = "999.20 MHz"
 34.076  CALL         Sub PSA Displayed Average Noise Level Test
 34.077  MATH         @Freq = "1.19900 GHz"
 34.078  CALL         Sub PSA Displayed Average Noise Level Test

 34.079  IF           @Opt_110
 34.080  MATH         @Nominal = -152
 34.081  TOL          -28.00U
 34.082  ELSE
 34.083  MATH         @Nominal = -153
 34.084  TOL          -27.00U
 34.085  ENDIF

 34.086  MATH         @Freq = "1.39991 GHz"
 34.087  CALL         Sub PSA Displayed Average Noise Level Test
 34.088  MATH         @Freq = "1.59980 GHz"
 34.089  CALL         Sub PSA Displayed Average Noise Level Test
 34.090  MATH         @Freq = "1.79968 GHz"
 34.091  CALL         Sub PSA Displayed Average Noise Level Test
 34.092  MATH         @Freq = "1.99957 GHz"
 34.093  CALL         Sub PSA Displayed Average Noise Level Test

 34.094  IF           @Opt_110
 34.095  MATH         @Nominal = -151
 34.096  TOL          -29.00U
 34.097  ELSE
 34.098  MATH         @Nominal = -152
 34.099  TOL          -28.00U
 34.100  ENDIF

 34.101  MATH         @Freq = "2.19945 GHz"
 34.102  CALL         Sub PSA Displayed Average Noise Level Test
 34.103  MATH         @Freq = "2.39934 GHz"
 34.104  CALL         Sub PSA Displayed Average Noise Level Test
 34.105  MATH         @Freq = "2.59922 GHz"
 34.106  CALL         Sub PSA Displayed Average Noise Level Test
 34.107  MATH         @Freq = "2.79911 GHz"
 34.108  CALL         Sub PSA Displayed Average Noise Level Test
 34.109  MATH         @Freq = "2.99900 GHz"
 34.110  CALL         Sub PSA Displayed Average Noise Level Test
 34.111  MATH         @Freq = "3.50008 GHz"
 34.112  CALL         Sub PSA Displayed Average Noise Level Test
 34.113  MATH         @Freq = "4.50008 GHz"
 34.114  CALL         Sub PSA Displayed Average Noise Level Test
 34.115  MATH         @Freq = "5.50008 GHz"
 34.116  CALL         Sub PSA Displayed Average Noise Level Test
 34.117  MATH         @Freq = "5.99908 GHz"
 34.118  CALL         Sub PSA Displayed Average Noise Level Test

 34.119  JMPL         END_PREAMP_OFF               @E4443A

 34.120  IF           @Opt_110
 34.121  MATH         @Nominal = -147
 34.122  TOL          -33.00U
 34.123  ELSE
 34.124  MATH         @Nominal = -150
 34.125  TOL          -30.00U
 34.126  ENDIF

 34.127  MATH         @Freq = "7.00008 GHz"
 34.128  CALL         Sub PSA Displayed Average Noise Level Test
 34.129  MATH         @Freq = "8.00008 GHz"
 34.130  CALL         Sub PSA Displayed Average Noise Level Test
 34.131  MATH         @Freq = "9.00008 GHz"
 34.132  CALL         Sub PSA Displayed Average Noise Level Test
 34.133  MATH         @Freq = "10.00008 GHz"
 34.134  CALL         Sub PSA Displayed Average Noise Level Test
 34.135  MATH         @Freq = "11.00008 GHz"
 34.136  CALL         Sub PSA Displayed Average Noise Level Test
 34.137  MATH         @Freq = "12.00008 GHz"
 34.138  CALL         Sub PSA Displayed Average Noise Level Test
 34.139  MATH         @Freq = "12.99908 GHz"
 34.140  CALL         Sub PSA Displayed Average Noise Level Test

 34.141  JMPL         END_PREAMP_OFF               @E4445A

 34.142  IF           @Opt_110
 34.143  MATH         @Nominal = -144
 34.144  TOL          -36.00U
 34.145  ELSE
 34.146  MATH         @Nominal = -147
 34.147  TOL          -33.00U
 34.148  ENDIF

 34.149  MATH         @Freq = "14.00008 GHz"
 34.150  CALL         Sub PSA Displayed Average Noise Level Test
 34.151  MATH         @Freq = "15.00008 GHz"
 34.152  CALL         Sub PSA Displayed Average Noise Level Test
 34.153  MATH         @Freq = "16.00008 GHz"
 34.154  CALL         Sub PSA Displayed Average Noise Level Test
 34.155  MATH         @Freq = "17.00008 GHz"
 34.156  CALL         Sub PSA Displayed Average Noise Level Test
 34.157  MATH         @Freq = "18.00008 GHz"
 34.158  CALL         Sub PSA Displayed Average Noise Level Test

 34.159  IF           @Opt_110
 34.160  MATH         @Nominal = -140
 34.161  TOL          -40.00U
 34.162  ENDIF

 34.163  MATH         @Freq = "19.00008 GHz"
 34.164  CALL         Sub PSA Displayed Average Noise Level Test

 34.165  IF           NOT(@Opt_110)
 34.166  MATH         @Nominal = -143
 34.167  TOL          -37.00U
 34.168  ENDIF

 34.169  MATH         @Freq = "20.00008 GHz"
 34.170  CALL         Sub PSA Displayed Average Noise Level Test
 34.171  MATH         @Freq = "21.00008 GHz"
 34.172  CALL         Sub PSA Displayed Average Noise Level Test
 34.173  MATH         @Freq = "22.00008 GHz"
 34.174  CALL         Sub PSA Displayed Average Noise Level Test
 34.175  MATH         @Freq = "23.00008 GHz"
 34.176  CALL         Sub PSA Displayed Average Noise Level Test
 34.177  MATH         @Freq = "24.00008 GHz"
 34.178  CALL         Sub PSA Displayed Average Noise Level Test
 34.179  MATH         @Freq = "25.00008 GHz"
 34.180  CALL         Sub PSA Displayed Average Noise Level Test
 34.181  MATH         @Freq = "26.00008 GHz"
 34.182  CALL         Sub PSA Displayed Average Noise Level Test

 34.183  LABEL        END_PREAMP_OFF

 34.184  JMPL         END                          NOT(@Opt_1DS || @Opt_110)

 34.185  RSLT         =
 34.186  TARGET
 34.187  MATH         @Head = "Center Frequency (Preamp On)"
 34.188  SCPI         POW:GAIN ON

 34.189  IF           @Opt_1DS
 34.190  RSLT         =Preamp On (Option 1DS)

 34.191  TOL          -41.00U
 34.192  MATH         @Freq = "100 kHz"; @Nominal = -159
 34.193  CALL         Sub PSA Displayed Average Noise Level Test
 34.194  MATH         @Freq = "200 kHz"
 34.195  CALL         Sub PSA Displayed Average Noise Level Test
 34.196  MATH         @Freq = "400 kHz"
 34.197  CALL         Sub PSA Displayed Average Noise Level Test

 34.198  TOL          -37.00U
 34.199  MATH         @Freq = "600 kHz"; @Nominal = -163
 34.200  CALL         Sub PSA Displayed Average Noise Level Test
 34.201  MATH         @Freq = "800 kHz"
 34.202  CALL         Sub PSA Displayed Average Noise Level Test

 34.203  TOL          -34.00U
 34.204  MATH         @Freq = "1.00 MHz"; @Nominal = -166
 34.205  CALL         Sub PSA Displayed Average Noise Level Test
 34.206  MATH         @Freq = "9.90 MHz"
 34.207  CALL         Sub PSA Displayed Average Noise Level Test

 34.208  ELSE

 34.209  RSLT         =Preamp On (Option 110)
 34.210  TOL          -52.00U
 34.211  MATH         @Freq = "10.00 MHz"; @Nominal = -148
 34.212  CALL         Sub PSA Displayed Average Noise Level Test
 34.213  ENDIF

 34.214  IF           NOT(@Opt_110)
 34.215  MATH         @Nominal = -169
 34.216  TOL          -21.00U
 34.217  ENDIF

 34.218  MATH         @Freq = "40.00 MHz"
 34.219  CALL         Sub PSA Displayed Average Noise Level Test

 34.220  IF           @Opt_110
 34.221  MATH         @Nominal = -153
 34.222  TOL          -47.00U
 34.223  ENDIF

 34.224  MATH         @Freq = "70.00 MHz"
 34.225  CALL         Sub PSA Displayed Average Noise Level Test
 34.226  MATH         @Freq = "102.00 MHz"
 34.227  CALL         Sub PSA Displayed Average Noise Level Test
 34.228  MATH         @Freq = "202.00 MHz"
 34.229  CALL         Sub PSA Displayed Average Noise Level Test
 34.230  MATH         @Freq = "399.80 MHz"
 34.231  CALL         Sub PSA Displayed Average Noise Level Test

 34.232  IF           @Opt_110
 34.233  MATH         @Nominal = -166
 34.234  TOL          -24.00U
 34.235  ELSE
 34.236  MATH         @Nominal = -168
 34.237  TOL          -22.00U
 34.238  ENDIF

 34.239  MATH         @Freq = "599.60 MHz"
 34.240  CALL         Sub PSA Displayed Average Noise Level Test
 34.241  MATH         @Freq = "799.40 MHz"
 34.242  CALL         Sub PSA Displayed Average Noise Level Test
 34.243  MATH         @Freq = "999.20 MHz"
 34.244  CALL         Sub PSA Displayed Average Noise Level Test

 34.245  IF           @Opt_1DS
 34.246  MATH         @Nominal = -167
 34.247  TOL          -23.00U
 34.248  ENDIF

 34.249  MATH         @Freq = "1.19900 GHz"
 34.250  CALL         Sub PSA Displayed Average Noise Level Test
 34.251  MATH         @Freq = "1.39991 GHz"
 34.252  CALL         Sub PSA Displayed Average Noise Level Test
 34.253  MATH         @Freq = "1.59980 GHz"
 34.254  CALL         Sub PSA Displayed Average Noise Level Test
 34.255  MATH         @Freq = "1.79968 GHz"
 34.256  CALL         Sub PSA Displayed Average Noise Level Test
 34.257  MATH         @Freq = "1.99957 GHz"
 34.258  CALL         Sub PSA Displayed Average Noise Level Test

 34.259  IF           @Opt_1DS
 34.260  MATH         @Nominal = -165
 34.261  TOL          -25.00U
 34.262  ENDIF

 34.263  MATH         @Freq = "2.19945 GHz"
 34.264  CALL         Sub PSA Displayed Average Noise Level Test
 34.265  MATH         @Freq = "2.39934 GHz"
 34.266  CALL         Sub PSA Displayed Average Noise Level Test
 34.267  MATH         @Freq = "2.59922 GHz"
 34.268  CALL         Sub PSA Displayed Average Noise Level Test
 34.269  MATH         @Freq = "2.79911 GHz"
 34.270  CALL         Sub PSA Displayed Average Noise Level Test
 34.271  MATH         @Freq = "2.99900 GHz"
 34.272  CALL         Sub PSA Displayed Average Noise Level Test

 34.273  JMPL         END                          @Opt_1DS

 34.274  TOL          -25.00U
 34.275  MATH         @Freq = "3.50008 GHz"; @Nominal = -165
 34.276  CALL         Sub PSA Displayed Average Noise Level Test
 34.277  MATH         @Freq = "4.50008 GHz"
 34.278  CALL         Sub PSA Displayed Average Noise Level Test
 34.279  MATH         @Freq = "5.50008 GHz"
 34.280  CALL         Sub PSA Displayed Average Noise Level Test
 34.281  MATH         @Freq = "5.99908 GHz"
 34.282  CALL         Sub PSA Displayed Average Noise Level Test

 34.283  JMPL         END                          @E4443A

 34.284  TOL          -27.00U
 34.285  MATH         @Freq = "7.00008 GHz"; @Nominal = -163
 34.286  CALL         Sub PSA Displayed Average Noise Level Test
 34.287  MATH         @Freq = "8.00008 GHz"
 34.288  CALL         Sub PSA Displayed Average Noise Level Test
 34.289  MATH         @Freq = "9.00008 GHz"
 34.290  CALL         Sub PSA Displayed Average Noise Level Test
 34.291  MATH         @Freq = "10.00008 GHz"
 34.292  CALL         Sub PSA Displayed Average Noise Level Test
 34.293  MATH         @Freq = "11.00008 GHz"
 34.294  CALL         Sub PSA Displayed Average Noise Level Test
 34.295  MATH         @Freq = "12.00008 GHz"
 34.296  CALL         Sub PSA Displayed Average Noise Level Test
 34.297  MATH         @Freq = "12.99908 GHz"
 34.298  CALL         Sub PSA Displayed Average Noise Level Test

 34.299  JMPL         END                          @E4445A

 34.300  TOL          -28.00U
 34.301  MATH         @Freq = "14.00008 GHz"; @Nominal = -162
 34.302  CALL         Sub PSA Displayed Average Noise Level Test
 34.303  MATH         @Freq = "15.00008 GHz"
 34.304  CALL         Sub PSA Displayed Average Noise Level Test
 34.305  MATH         @Freq = "16.00008 GHz"
 34.306  CALL         Sub PSA Displayed Average Noise Level Test
 34.307  MATH         @Freq = "17.00008 GHz"
 34.308  CALL         Sub PSA Displayed Average Noise Level Test
 34.309  MATH         @Freq = "18.00008 GHz"
 34.310  CALL         Sub PSA Displayed Average Noise Level Test
 34.311  MATH         @Freq = "19.00008 GHz"
 34.312  CALL         Sub PSA Displayed Average Noise Level Test
 34.313  MATH         @Freq = "20.00008 GHz"
 34.314  CALL         Sub PSA Displayed Average Noise Level Test
 34.315  MATH         @Freq = "21.00008 GHz"
 34.316  CALL         Sub PSA Displayed Average Noise Level Test
 34.317  MATH         @Freq = "22.00008 GHz"
 34.318  CALL         Sub PSA Displayed Average Noise Level Test
 34.319  MATH         @Freq = "23.00008 GHz"
 34.320  CALL         Sub PSA Displayed Average Noise Level Test
 34.321  MATH         @Freq = "24.00008 GHz"
 34.322  CALL         Sub PSA Displayed Average Noise Level Test
 34.323  MATH         @Freq = "25.00008 GHz"
 34.324  CALL         Sub PSA Displayed Average Noise Level Test
 34.325  MATH         @Freq = "26.00008 GHz"
 34.326  CALL         Sub PSA Displayed Average Noise Level Test

 34.327  LABEL        END
 34.328  HEAD         -2
 34.329  SCPI         CAL:AUTO ON;:SYST:PRES
 34.330  HEAD
 34.331  END
